Index: basicnet/netprogs/cvs.xml
===================================================================
--- basicnet/netprogs/cvs.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ basicnet/netprogs/cvs.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -30,5 +30,5 @@
     <title>Introduction to CVS</title>
 
-    <para><application>CVS</application> is the Concurrent Versioning System.
+    <para><application>CVS</application> is the Concurrent Versions System.
     This is a version control system useful for projects using a central repository
     to hold files and then track all changes made to those files. These instructions
@@ -174,5 +174,5 @@
         <term><command>cvs</command></term>
         <listitem>
-          <para>is the main program file for the concurrent versioning system.</para>
+          <para>is the main program file for the concurrent versions system.</para>
           <indexterm zone="cvs cvs-prog">
             <primary sortas="b-cvs">cvs</primary>
Index: book/preface.xml
===================================================================
--- book/preface.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ book/preface.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -32,5 +32,5 @@
     much of our work is based around the hints and indeed some authors write
     both hints and the relevant BLFS sections.  We hope that we can provide
-    you with enough information to not only manage to build your ystem up to
+    you with enough information to not only manage to build your system up to
     what you want, whether it be a web server or a multimedia desktop system,
     but also that you will learn a lot about system configuration as you go.</para>
@@ -77,9 +77,9 @@
     LFS.  Together, these projects provide a unique resource for
     the Open Source Community.  They take the mystery out of the process of
-    building a complete, funtional software system from the source code contibuted
+    building a complete, funtional software system from the source code contributed
     by many talented individuals throughout the world.  They truly allow users
     to implement the slogan "Your distro, your rules."</para>
 
-    <para>Our goal is to continue to provide the best resoure available that shows
+    <para>Our goal is to continue to provide the best resource available that shows
     you how to integrate many significant Open Source applications.  Since these
     applications are constantly updated and new applications are developed, this
@@ -122,5 +122,5 @@
       <xref linkend='AFL'/>, covers the instructions actually used to build and
       install the packages.  These licenses, along with the book itself, represent
-      our ongoing commitment to open and free sofware.</para>
+      our ongoing commitment to open and free software.</para>
 
       <para>The final area of change is the addition of an Index.  This section of
Index: connect/dialup/dialup.xml
===================================================================
--- connect/dialup/dialup.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ connect/dialup/dialup.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -11,5 +11,5 @@
   <title>Dial-up Networking</title>
 
-  <para>This chapter provides utilites for system interaction with a modem.</para>
+  <para>This chapter provides utilities for system interaction with a modem.</para>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppp.xml"/>
Index: connect/dialup/ppp.xml
===================================================================
--- connect/dialup/ppp.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ connect/dialup/ppp.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -151,5 +151,5 @@
           <para>defines a conversational exchange between the computer and the
           modem. Its primary purpose is to establish the connection between the
-          Point-to-Point Protocol Daemon (PPPD) and the remote's
+          Point-to-Point Protocol Daemon (PPPD) and the remote
           <command>pppd</command> process.</para>
           <indexterm zone="ppp chat">
Index: connect/other/pppoe.xml
===================================================================
--- connect/other/pppoe.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ connect/other/pppoe.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -75,5 +75,5 @@
     <note id="pppoe-kernel">
       <para>If you plan on using kernel-mode PPPoE, this package is no longer explicitly
-      needed, however, it is recomended for ease of configuration. Additional information
+      needed, however, it is recommended for ease of configuration. Additional information
       about kernel mode PPPoE can be found in
       <filename>rp-pppoe-&pppoe-version;/doc/KERNEL-MODE-PPPOE</filename>.</para>
Index: general/genlib/aspell.xml
===================================================================
--- general/genlib/aspell.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ general/genlib/aspell.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -281,7 +281,7 @@
           <para>is an interface to the
           <filename class='libraryfile'>libaspell</filename> library. All the spell
-          checking funtionality is now in
+          checking functionality is now in
           <filename class='libraryfile'>libaspell</filename> but this library is
-          included for backwards compatibility.</para>
+          included for backward compatibility.</para>
           <indexterm zone="aspell libpspell">
             <primary sortas="c-libpspell">libpspell.so</primary>
Index: general/genlib/gdbm.xml
===================================================================
--- general/genlib/gdbm.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ general/genlib/gdbm.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -119,6 +119,5 @@
         <term><filename class='libraryfile'>libgdbm.[so,a]</filename></term>
         <listitem>
-          <para>contains functions that perform database routines using
-          extendible hashing.</para>
+          <para>contains functions to manipulate a hashed database.</para>
           <indexterm zone="gdbm libgdbm">
             <primary sortas="c-libgdbm">libgdbm.[so,a]</primary>
Index: general/genlib/slib.xml
===================================================================
--- general/genlib/slib.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ general/genlib/slib.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -37,5 +37,5 @@
     <application>Scheme</application> implementations, including
     <application>Guile</application>. Its catalog can be transparently extended
-    to accomodate packages specific to a site, implementation, user or
+    to accommodate packages specific to a site, implementation, user or
     directory.</para>
 
Index: general/graphlib/libmng.xml
===================================================================
--- general/graphlib/libmng.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ general/graphlib/libmng.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -31,5 +31,5 @@
 
     <para>The <application>libmng</application> libraries are used by
-    programswanting to read and write Multiple-image Network Graphics
+    programs wanting to read and write Multiple-image Network Graphics
     (MNG) files which are the animation equivalents to PNG files.</para>
 
Index: general/prog/doxygen.xml
===================================================================
--- general/prog/doxygen.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ general/prog/doxygen.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -140,5 +140,5 @@
     <para>There is no real configuration necessary for the
     <application>Doxygen</application> package although three additional
-    packages are required if you wish to use extended capabilites. If you
+    packages are required if you wish to use extended capabilities. If you
     need to use the language translation features, you must have
     <xref linkend="python"/> installed. If you require formulas to
Index: general/prog/pdl.xml
===================================================================
--- general/prog/pdl.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ general/prog/pdl.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -35,5 +35,5 @@
     scientific computing. <application>PDL</application> turns
     <application>Perl</application> into an array-oriented, numerical language
-    similar to such commerical packages as <application>IDL</application>
+    similar to such commercial packages as <application>IDL</application>
     and <application>MatLab</application>. One can write simple
     <application>Perl</application> expressions to manipulate entire numerical
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ general/prog/perl-modules.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -541,5 +541,5 @@
                 <para id="perl-business-isbn"><ulink
                 url="http://www.cpan.org/authors/id/B/BD/BDFOY/Business-ISBN-&Business-ISBN-version;.tar.gz">
-                Business-ISBN-&Business-ISBN-version;</ulink> (optonal, only
+                Business-ISBN-&Business-ISBN-version;</ulink> (optional, only
                 used during the test suite)</para>
                 <indexterm zone="perl-modules perl-business-isbn">
Index: general/sysutils/apache-ant.xml
===================================================================
--- general/sysutils/apache-ant.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ general/sysutils/apache-ant.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -80,5 +80,5 @@
 
     <note>
-      <para>You may need additional libraries to satisify the build
+      <para>You may need additional libraries to satisfy the build
       requirements of various packages installed using
       <application>Apache Ant</application>. Review the table at
Index: general/sysutils/pkgconfig.xml
===================================================================
--- general/sysutils/pkgconfig.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ general/sysutils/pkgconfig.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -63,5 +63,5 @@
 
     <note>
-      <para>Upto version 0.18, this package was called
+      <para>Till version 0.18, this package was called
       <application>Pkgconfig</application>.</para>
     </note>
Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ gnome/add/add.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -12,5 +12,5 @@
 
   <para>These packages are modular and add desktop applications and assorted
-  utilites to the <application>GNOME</application> environment. Feel free to
+  utilities to the <application>GNOME</application> environment. Feel free to
   install them on an as needed or as desired basis.</para>
 
Index: gnome/core/libgnome.xml
===================================================================
--- gnome/core/libgnome.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ gnome/core/libgnome.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -94,5 +94,5 @@
     <filename class='directory'>/var/lib</filename> instead
     of <filename class='directory'>$GNOME_PREFIX/var</filename>
-    to syncronize with the <application>GNOME Games</application>
+    to synchronize with the <application>GNOME Games</application>
     installation and properly record high scores in
     <filename class='directory'>/var/lib/games</filename>.</para>
Index: gnome/core/scrollkeeper.xml
===================================================================
--- gnome/core/scrollkeeper.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ gnome/core/scrollkeeper.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -128,5 +128,5 @@
       to the location of all of the <filename class="directory">omf</filename>
       directories in the system. This was set in the <command>configure</command>
-      command so no futher action is needed until another <filename>OMF</filename>
+      command so no further action is needed until another <filename>OMF</filename>
       directory is created.</para>
 
Index: introduction/important/bootscripts.xml
===================================================================
--- introduction/important/bootscripts.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ introduction/important/bootscripts.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -26,5 +26,5 @@
   <para>The BLFS Bootscripts package contains the init
   scripts that are used throughout the book. It is assumed that you will be
-  using the BLFS Bootscripts package in conjuction with a compatible
+  using the BLFS Bootscripts package in conjunction with a compatible
   LFS-Bootscripts package. Refer to
   <ulink url="&lfs-root;/chapter07/bootscripts.html"/> for more
@@ -40,5 +40,5 @@
   <para>The BLFS Bootscripts package will be used throughout the BLFS book
   for startup scripts.  Unlike LFS, each init script has a separate install target
-  in the BLFS Bootscripts package. It is recomended you keep the package source
+  in the BLFS Bootscripts package. It is recommended you keep the package source
   directory around until completion of your BLFS system. When a script is
   requested from BLFS Bootscripts, simply change to the directory and as the
@@ -46,5 +46,5 @@
   <command>make install-<replaceable>[init-script]</replaceable></command>
   command. This command installs the init script to its proper location (along
-  with any auxillary configuration scripts) and also creates the appropriate
+  with any auxiliary configuration scripts) and also creates the appropriate
   symlinks to start and stop the service at the appropriate run-level.</para>
 
Index: introduction/important/pkgmgt.xml
===================================================================
--- introduction/important/pkgmgt.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ introduction/important/pkgmgt.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -36,5 +36,5 @@
     <listitem>
       <para>There are multiple solutions for package management, each having
-      its strengths and drawbacks. Including one that satifies all audiences is
+      its strengths and drawbacks. Including one that satisfies all audiences is
       difficult.</para>
     </listitem>
@@ -58,5 +58,5 @@
         (<application>Glibc</application>, <application>GCC</application> or
         <application>Binutils</application>) needs to be upgraded to a newer
-        minor vesion, it is safer to rebuild LFS. Though you
+        minor version, it is safer to rebuild LFS. Though you
         <emphasis>may</emphasis> be able to get by rebuilding all the packages
         in their dependency order, we do not recommend it. For example, if
@@ -200,5 +200,5 @@
       <command>install</command>, <command>mv</command> and tracking the system
       calls that modify the filesystem. For this approach to work, all the executables
-      need to be dymanically linked without the suid or sgid bit. Preloading the
+      need to be dynamically linked without the suid or sgid bit. Preloading the
       library may cause some unwanted side-effects during installation. Therefore,
       do perform some tests to ensure that the package manager does not break
Index: introduction/important/unpacking.xml
===================================================================
--- introduction/important/unpacking.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ introduction/important/unpacking.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -42,5 +42,5 @@
 
     <para>The golden rule of Unix System Administration is to use your
-    superpowers only when neccessary. Hence, BLFS recommends that you
+    superpowers only when necessary. Hence, BLFS recommends that you
     build software as an unprivileged user and only become the
     <systemitem class='username'>root</systemitem> user when installing the
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ introduction/welcome/changelog.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -26,123 +26,123 @@
   
     <listitem>
-      <para>July 29th 2005 [bdubbs]: Updated to exim-5.52.</para>
+      <para>July 29th, 2005 [bdubbs]: Updated to exim-5.52.</para>
     </listitem>
     
     <listitem>
-      <para>July 29th 2005 [bdubbs]: Updated to iptables-1.3.3.</para>
+      <para>July 29th, 2005 [bdubbs]: Updated to iptables-1.3.3.</para>
     </listitem>
     
     <listitem>
-      <para>July 29th 2005 [richard]: Revised wording about LFS
+      <para>July 29th, 2005 [richard]: Revised wording about LFS
        newsserver.</para>
     </listitem>
     
     <listitem>
-      <para>July 29th 2005 [richard]: Updated to fcron-2.9.7 changing
+      <para>July 29th, 2005 [richard]: Updated to fcron-2.9.7 changing
        dependency wording for the required text editor.</para>
     </listitem>
   
     <listitem>
-      <para>July 28th 2005 [richard]: Updated to curl-7.14.0.</para>
+      <para>July 28th, 2005 [richard]: Updated to curl-7.14.0.</para>
     </listitem>
     
     <listitem>
-      <para>July 28th 2005 [richard]: Updated to LZO-2.01.</para>
+      <para>July 28th, 2005 [richard]: Updated to LZO-2.01.</para>
     </listitem>
     
     <listitem>
-      <para>July 28th 2005 [richard]: Updated to libvorbis-1.1.1 and
+      <para>July 28th, 2005 [richard]: Updated to libvorbis-1.1.1 and
       vorbis-tools-1.1.1.</para>
     </listitem>
     
     <listitem>
-      <para>July 28th 2005 [dj]: Added security patch for OpenOffice and 
+      <para>July 28th, 2005 [dj]: Added security patch for OpenOffice and 
       removed broken optimization patch for JDK.</para>
     </listitem>
 
     <listitem>
-      <para>July 27th 2005 [bdubbs]: Updated escape sequence explanation
+      <para>July 27th, 2005 [bdubbs]: Updated escape sequence explanation
       in the /etc/issue discussion in Chapter 3.</para>
     </listitem>
 
     <listitem>
-      <para>July 27th 2005 [tushar]: Updated to aspell-0.60.3.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 27th 2005 [tushar]: Updated to libxml2-2.6.20.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 27th 2005 [tushar]: Updated to pkg-config-0.19.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 27th 2005 [tushar]: Updated to speex-1.0.5.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 27th 2005 [bdubbs]: Updated to KDE-3.4.1.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 27th 2005 [djensen]: Updated to Bluefish-1.0.2.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 27th 2005 [djensen]: Updated to ImageMagick-6.2.3-5.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 25th 2005 [djensen]: Updated to ALSA-1.0.9.</para>
+      <para>July 27th, 2005 [tushar]: Updated to aspell-0.60.3.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 27th, 2005 [tushar]: Updated to libxml2-2.6.20.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 27th, 2005 [tushar]: Updated to pkg-config-0.19.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 27th, 2005 [tushar]: Updated to speex-1.0.5.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 27th, 2005 [bdubbs]: Updated to KDE-3.4.1.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 27th, 2005 [djensen]: Updated to Bluefish-1.0.2.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 27th, 2005 [djensen]: Updated to ImageMagick-6.2.3-5.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 25th, 2005 [djensen]: Updated to ALSA-1.0.9.</para>
     </listitem>
 
      <listitem>
-      <para>July 25th 2005 [tushar]: Fix symlink related bug in cpio.
+      <para>July 25th, 2005 [tushar]: Fix symlink related bug in cpio.
       See Bug # 1464.</para>
     </listitem>
 
     <listitem>
-      <para>July 25th 2005 [randy]: Updated to Heimdal-0.7.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 25th 2005 [djensen]: Updated to Imlib2-1.2.1.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 25th 2005 [djensen]: Updated to freeglut-2.4.0.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 25th 2005 [tushar]: Added optional defines to xorg to
+      <para>July 25th, 2005 [randy]: Updated to Heimdal-0.7.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 25th, 2005 [djensen]: Updated to Imlib2-1.2.1.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 25th, 2005 [djensen]: Updated to freeglut-2.4.0.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 25th, 2005 [tushar]: Added optional defines to xorg to
       allow installation into standard directories.</para>
     </listitem>
 
     <listitem>
-      <para>July 24th 2005 [dj]: Updated to Linux-PAM-0.80 and corrected
+      <para>July 24th, 2005 [dj]: Updated to Linux-PAM-0.80 and corrected
       sed for /etc/login.defs in Shadow instructions.</para>
     </listitem>
 
     <listitem>
-      <para>July 24th 2005 [randy]: Updated to CrackLib-2.8.3.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 23rd 2005 [djensen]: Added security patch to Mpg123.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 23rd 2005 [randy]: Updated to Shadow-4.0.9 via a patch from
+      <para>July 24th, 2005 [randy]: Updated to CrackLib-2.8.3.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 23rd, 2005 [djensen]: Added security patch to Mpg123.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 23rd, 2005 [randy]: Updated to Shadow-4.0.9 via a patch from
       DJ Lucas.</para>
     </listitem>
 
     <listitem>
-      <para>July 22nd 2005 [randy]: Added textual updates to the "After LFS
+      <para>July 22nd, 2005 [randy]: Added textual updates to the "After LFS
       Configuration" chapter.</para>
     </listitem>
 
     <listitem>
-      <para>July 21st 2005 [randy]: Added additional text to the "Conventions"
+      <para>July 21st, 2005 [randy]: Added additional text to the "Conventions"
       and "Unpacking" sections; numerous typo, grammar and tagging fixes to the
       "Introduction" chapter.</para>
@@ -150,31 +150,31 @@
 
     <listitem>
-      <para>July 20th 2005 [tushar]: Added testsuite to pango.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 20th 2005 [larry]: Removed document instructions from
+      <para>July 20th, 2005 [tushar]: Added testsuite to pango.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 20th, 2005 [larry]: Removed document instructions from
       mysql, no longer in package.</para>
     </listitem>
 
     <listitem>
-      <para>July 20th 2005 [randy]: Updated to Stunnel-4.11.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 19th 2005 [randy]: Updated to Doxygen-1.4.3.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 18th 2005 [randy]: Updated to Nail-11.24 and 
+      <para>July 20th, 2005 [randy]: Updated to Stunnel-4.11.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 19th, 2005 [randy]: Updated to Doxygen-1.4.3.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 18th, 2005 [randy]: Updated to Nail-11.24 and 
       Cyrus-SASL-2.1.21.</para>
     </listitem>
 
     <listitem>
-      <para>July 17th 2005 [randy]: Updated to GnuCash-1.8.11.</para>
-    </listitem>
-
-    <listitem>
-      <para>July 17th 2005 [tushar]: Updated Notes on Building Software.</para>
+      <para>July 17th, 2005 [randy]: Updated to GnuCash-1.8.11.</para>
+    </listitem>
+
+    <listitem>
+      <para>July 17th, 2005 [tushar]: Updated Notes on Building Software.</para>
     </listitem>
 
Index: kde/add/kdeaddons.xml
===================================================================
--- kde/add/kdeaddons.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ kde/add/kdeaddons.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -96,5 +96,5 @@
 
       <seglistitem>
-        <seg>Miscellaneous <application>KDE</application> support progams</seg>
+        <seg>Miscellaneous <application>KDE</application> support programs</seg>
         <seg>Additional plugins, libraries, and  scripts for <application>KDE</application>
         applications</seg>
Index: kde/add/kdevelop.xml
===================================================================
--- kde/add/kdevelop.xml	(revision a05dbe60e1d7836c0071640b89863a2c1b62cc4c)
+++ kde/add/kdevelop.xml	(revision 919683dc6dc6d11d27f8f7fd7c82c68ef1310ef2)
@@ -113,5 +113,5 @@
       <seglistitem>
         <seg>kdevelop and supporting programs</seg>
-        <seg>Supoprting kdevelop libraries</seg>
+        <seg>Supporting kdevelop libraries</seg>
         <seg>$KDE_PREFIX/kdevbdb and supporting subdirectoies in 
         $KDE_PREFIX/{include,share}</seg>