Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision 1753548f07067bbac95fa9893a4298d6784e81a6)
+++ kde/core/kdelibs.xml	(revision 923742a2edbd029044f07cdc7b8c09de9899ffa0)
@@ -6,8 +6,9 @@
 
 <!ENTITY kdelibs-download-http "&kde-download-http;/kdelibs-&kde-version;.tar.bz2">
-<!ENTITY kdelibs-download-ftp "&kde-download-ftp;/kdelibs-&kde-version;.tar.bz2">
-<!ENTITY kdelibs-size "12.7 MB">
-<!ENTITY kdelibs-buildsize "160-590 MB (depending on options used)">
-<!ENTITY kdelibs-time "12.6-21.4 SBU (depending on options used)">
+<!ENTITY kdelibs-download-ftp  "&kde-download-ftp;/kdelibs-&kde-version;.tar.bz2">
+<!ENTITY kdelibs-md5sum        "1c208724987433fc1929d22928c1a358">
+<!ENTITY kdelibs-size          "15.7 MB">
+<!ENTITY kdelibs-buildsize     "160-615 MB (depending on options used)">
+<!ENTITY kdelibs-time          "12.6-25.2 SBU (depending on options used)">
 ]>
 
@@ -35,4 +36,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&kdelibs-download-ftp;"/></para></listitem>
+<listitem><para>MD5 Sum: &kdelibs-md5sum;</para></listitem>
 <listitem><para>Download size: &kdelibs-size;</para></listitem>
 <listitem><para>Estimated Disk space required:
@@ -51,26 +53,33 @@
 
 <sect3><title><application>kdelibs</application> dependencies</title>
+
 <sect4><title>Required</title>
-<para><xref linkend="kde-core-arts"/></para></sect4>
+<para><xref linkend="kde-core-arts"/></para>
+</sect4>
+
+<sect4><title>Recommended</title>
+<para><xref linkend="libjpeg"/>, 
+<xref linkend="libart_lgpl"/>, 
+<xref linkend="libxml2"/>, 
+<xref linkend="libxslt"/>, 
+<xref linkend="pcre"/>, 
+<xref linkend="fam"/>, 
+<xref linkend="openssl"/> and 
+<ulink url="http://www.gnu.org/software/libidn/">Libidn</ulink></para>
+</sect4>
+
 <sect4><title>Optional</title>
-<para>
-<xref linkend="libjpeg"/>,
-<xref linkend="libxml2"/>,
-<xref linkend="libxslt"/>,
-<xref linkend="cups"/>,
-<xref linkend="openldap"/>,
-<xref linkend="fam"/>,
-<xref linkend="pcre"/>,
-<xref linkend="openssl"/>,
-<xref linkend="libart_lgpl"/>,
-<xref linkend="alsa"/>,
-<xref linkend="libtiff"/>,
-<ulink url="http://www.gnu.org/software/libidn/">Libidn</ulink>,
-<ulink url="http://www.ece.uvic.ca/~mdadams/jasper/">JasPer</ulink>,
-<ulink
-url="http://www.research.att.com/sw/tools/graphviz/">Graphviz</ulink>
-and
-<ulink url="http://www.stack.nl/~dimitri/doxygen/">doxygen</ulink>
-</para></sect4>
+<para><xref linkend="libtiff"/>, 
+<xref linkend="aspell"/>, 
+<xref linkend="cups"/>, 
+<xref linkend="openldap"/>, 
+<xref linkend="alsa"/>, 
+<xref linkend="heimdal"/> or <xref linkend="mitkrb"/>, 
+<ulink url="http://www.openexr.com/">OpenEXR</ulink>, 
+<ulink url="http://www.ece.uvic.ca/~mdadams/jasper/">JasPer</ulink>, 
+<ulink url="http://www.research.att.com/sw/tools/graphviz/">Graphviz</ulink> 
+and <ulink url="http://www.stack.nl/~dimitri/doxygen/">doxygen</ulink></para>
+</sect4>
+
 </sect3>
 
@@ -82,5 +91,5 @@
 <para>Install <application>kdelibs</application> with:</para>
 <screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
-    --disable-dependency-tracking --enable-fast-malloc=full --disable-pcre &amp;&amp;
+    --disable-dependency-tracking --enable-fast-malloc=full &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
@@ -95,22 +104,22 @@
 
 <sect2><title>Command explanations</title>
-<para><parameter>--prefix=&kde-dir;</parameter> : This option tells the process 
+<para><parameter>--prefix=&kde-dir;</parameter>: This option tells the process 
 to install the package in <filename class="directory">&kde-dir;</filename>.
 </para>
 
-<para><option>--disable-debug</option> : This option causes the
+<para><option>--disable-debug</option>: This option causes the
 package to be compiled without debugging code.</para>
 
-<para><option>--disable-dependency-tracking</option> : This option
+<para><option>--disable-dependency-tracking</option>: This option
 speeds up one time builds.</para>
 
-<para><parameter>--enable-fast-malloc=full</parameter> : This option tells
+<para><parameter>--enable-fast-malloc=full</parameter>: This option tells
 <acronym>KDE</acronym> programs to use an internal memory allocation
 scheme optimized for <acronym>KDE</acronym>.</para>
 
-<para><option>--disable-pcre</option> : Omit this switch if you have 
+<!-- <para><option>-disable-pcre</option>: Omit this switch if you have 
 <application><acronym>PCRE</acronym></application> installed and you want 
 improved regular expression support in the <acronym>KDE</acronym> JavaScript 
-engine.</para>
+engine.</para> -->
 
 </sect2>