Index: kde/kde-intro.xml
===================================================================
--- kde/kde-intro.xml	(revision c201c95191256743d7a4f08dca6633c3d6cc4baa)
+++ kde/kde-intro.xml	(revision 930557aa275ea1b55b1174e82f9ef046a4c72777)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+<!DOCTYPE partintro PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
    "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
@@ -7,48 +7,48 @@
 
 <partintro>
-<title>Introduction to <acronym>KDE</acronym></title>
+  <title>Introduction to KDE</title>
 
-<para><acronym>KDE</acronym> is a comprehensive desktop environment that
-builds on an <application>X</application> Window System and
-<application>Qt</application> to provide
-a window manager and many user tools, including a browser, word processor, 
-spreadsheet, presentation package, games, and numerous other utilities. It 
-provides extensive capabilities for customization.</para>
+  <para><application>KDE</application> is a comprehensive desktop environment 
+  that builds on an <application>X Window System</application> and
+  <application>Qt</application> to provide a window manager and many user tools, 
+  including a browser, word processor, spreadsheet, presentation package, games, 
+  and numerous other utilities. It provides extensive capabilities for customization.</para>
 
-<para>The <acronym>KDE</acronym> instructions are divided into two parts. The first part, the
-core packages, are needed for the rest of <acronym>KDE</acronym> to work. The second part
-presents additional packages which provide functionality in various areas
-(multimedia, graphics, etc.).</para> 
+  <para>The <application>KDE</application> instructions are divided into 
+  two parts. The first part, the core packages, are needed for the rest of 
+  <application>KDE</application> to work. The second part presents additional 
+  packages which provide functionality in various areas (multimedia, graphics, etc.).</para> 
 
-<para>There are two alternatives for installing <acronym>KDE</acronym>. Option one, that
-is used by most of the commercial distributions, is to
-install <acronym>KDE</acronym> in the standard system prefix: <filename>/usr</filename>.
-This option allows the use of KDE without the need for any additional configuration such
-as modification of various environment variables or configuration files. Option two is
-to install it in a unique prefix such as <filename>/opt/kde</filename> or
-<filename>/opt/kde-&kde-version;</filename>. This option allows for easy removal of
-the package.</para>
+  <para>There are two alternatives for installing <application>KDE</application>. 
+  Option one, that is used by most of the commercial distributions, is to install 
+  <application>KDE</application> in the standard system prefix: 
+  <filename class="directory">/usr</filename>. This option allows the use of 
+  <application>KDE</application> without the need for any additional configuration such
+  as modification of various environment variables or configuration files. Option two is
+  to install it in a unique prefix such as <filename class="directory">/opt/kde</filename> or
+  <filename class="directory">/opt/kde-&kde-version;</filename>. This option allows for 
+  easy removal of the package.</para>
 
-<tip>
-<para>All the <acronym>KDE</acronym> packages are comprised of various components. 
-The default is to
-install most of the components. If specific components are to be eliminated, the
-official way is to set the variable <envar>DO_NOT_COMPILE</envar>.
-This comes in handy when there are problems compiling a particular
-component.</para>
+  <tip>
+    <para>All the <application>KDE</application> packages are comprised of various 
+    components. The default is to install most of the components. If specific components 
+    are to be eliminated, the official way is to set the variable 
+    <envar>DO_NOT_COMPILE</envar>. This comes in handy when there are problems 
+    compiling a particular component.</para>
 
-<screen><userinput><command>DO_NOT_COMPILE="component1 component2" \
-    ./configure --prefix=&kde-dir; ...</command></userinput></screen>
+<screen><userinput>DO_NOT_COMPILE="component1 component2" \
+    ./configure --prefix=&kde-dir; ...</userinput></screen>
 
-<para>The core <acronym>KDE</acronym> packages also honor this variable, but omitting components
-from the core packages is not advisable since it may result in an
-incomplete <acronym>KDE</acronym> installation.</para>
-</tip>
+    <para>The core <application>KDE</application> packages also honor this 
+    variable, but omitting components from the core packages is not advisable since 
+    it may result in an incomplete <application>KDE</application> installation.</para>
+  </tip>
 
-<note><para>In each of the packages,
-one other option to <command>configure</command> can be added: 
-<parameter>--enable-final</parameter>. This option can speed up the build 
-process, but requires a lot of memory. If you have less than 256MB of RAM, 
-this option may cause swapping and significantly slow compilation.</para></note>
+  <note>
+    <para>In each of the packages, one other option to <command>configure</command> 
+    can be added: <option>--enable-final</option>. This option can speed up the build 
+    process, but requires a lot of memory. If you have less than 256MB of RAM, 
+    this option may cause swapping and significantly slow compilation.</para>
+  </note>
 
 </partintro>