Index: general/genlib/libmbim.xml
===================================================================
--- general/genlib/libmbim.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ general/genlib/libmbim.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -7,8 +7,8 @@
   <!ENTITY libmbim-download-http "http://www.freedesktop.org/software/libmbim/libmbim-&libmbim-version;.tar.xz">
   <!ENTITY libmbim-download-ftp  " ">
-  <!ENTITY libmbim-md5sum        "921fb5ab3f13f1e00833e009d8f3b4f6">
-  <!ENTITY libmbim-size          "388 KB">
-  <!ENTITY libmbim-buildsize     "17 MB">
-  <!ENTITY libmbim-time          "0.2 SBU">
+  <!ENTITY libmbim-md5sum        "4561bc490fcd439aa805c1692b25cb61">
+  <!ENTITY libmbim-size          "396 KB">
+  <!ENTITY libmbim-buildsize     "17 MB (with tests)">
+  <!ENTITY libmbim-time          "0.1 SBU (with tests)">
 ]>
 
@@ -36,5 +36,5 @@
     </para>
 
-    <!-- &lfs77_checked; -->
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libqmi.xml
===================================================================
--- general/genlib/libqmi.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ general/genlib/libqmi.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -7,8 +7,8 @@
   <!ENTITY libqmi-download-http "http://www.freedesktop.org/software/libqmi/libqmi-&libqmi-version;.tar.xz">
   <!ENTITY libqmi-download-ftp  " ">
-  <!ENTITY libqmi-md5sum        "24c9eb300662ba6cff0152de89bd9ec0">
-  <!ENTITY libqmi-size          "696 KB">
-  <!ENTITY libqmi-buildsize     "64 MB">
-  <!ENTITY libqmi-time          "0.3 SBU">
+  <!ENTITY libqmi-md5sum        "6ec55d1a1941bb18802ab8498baca7e0">
+  <!ENTITY libqmi-size          "744 KB">
+  <!ENTITY libqmi-buildsize     "74 MB (with tests)">
+  <!ENTITY libqmi-time          "0.4 SBU (with tests)">
 ]>
 
@@ -36,5 +36,5 @@
     </para>
 
-    <!-- &lfs77_checked; -->
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/newt.xml
===================================================================
--- general/graphlib/newt.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ general/graphlib/newt.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/pycairo.xml
===================================================================
--- general/prog/pycairo.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ general/prog/pycairo.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -31,5 +31,5 @@
       </para>
 
-      &lfs79_checked;
+      &lfs79_checked;&gcc6_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/pygobject3.xml
===================================================================
--- general/prog/pygobject3.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ general/prog/pygobject3.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -33,5 +33,5 @@
       </para>
 
-      &lfs79_checked;
+      &lfs79_checked;&gcc6_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/sysutils/modemmanager.xml
===================================================================
--- general/sysutils/modemmanager.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ general/sysutils/modemmanager.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -7,8 +7,8 @@
   <!ENTITY ModemManager-download-http "http://www.freedesktop.org/software/ModemManager/ModemManager-&ModemManager-version;.tar.xz">
   <!ENTITY ModemManager-download-ftp  " ">
-  <!ENTITY ModemManager-md5sum        "1e46a148e2af0e9f503660fcd2d8957d">
-  <!ENTITY ModemManager-size          "1.3 MB">
-  <!ENTITY ModemManager-buildsize     "91 MB">
-  <!ENTITY ModemManager-time          "1.0 SBU (with tests)">
+  <!ENTITY ModemManager-md5sum        "cabb72e7c2ddf6af96eca2c9f3d168a3">
+  <!ENTITY ModemManager-size          "1.4 MB">
+  <!ENTITY ModemManager-buildsize     "98 MB">
+  <!ENTITY ModemManager-time          "0.8 SBU (with tests)">
 ]>
 
@@ -36,5 +36,5 @@
     </para>
 
-    <!-- &lfs77_checked; -->
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -109,4 +109,5 @@
             --sysconfdir=/etc    \
             --localstatedir=/var \
+            --enable-more-warnings=no \
             --disable-static     &amp;&amp;
 make</userinput></screen>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ gnome.ent	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -57,4 +57,4 @@
 <!ENTITY gucharmap-version              "9.0.0">
 <!ENTITY nautilus-version               "3.20.1">
-<!ENTITY network-manager-applet-version "1.2.0">
+<!ENTITY network-manager-applet-version "1.2.2">
 <!ENTITY seahorse-version               "3.20.0">
Index: gnome/applications/network-manager-applet.xml
===================================================================
--- gnome/applications/network-manager-applet.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ gnome/applications/network-manager-applet.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -9,7 +9,7 @@
   <!ENTITY network-manager-applet-download-ftp
            "&gnome-download-ftp;/network-manager-applet/1.2/network-manager-applet-&network-manager-applet-version;.tar.xz">
-  <!ENTITY network-manager-applet-md5sum        "501b460ef7f9d254a23b359e2b974760">
+  <!ENTITY network-manager-applet-md5sum        "54b29dff37348fce09a567907688e172">
   <!ENTITY network-manager-applet-size          "1.2 MB">
-  <!ENTITY network-manager-applet-buildsize     "45 MB (with tests)">
+  <!ENTITY network-manager-applet-buildsize     "58 MB (with tests)">
   <!ENTITY network-manager-applet-time          "0.6 SBU (with tests)">
 ]>
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -99,5 +99,5 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
+    <para role="optional" revision="sysv">
       <ulink url="&gnome-download-http;/gnome-bluetooth/">
         GNOME Bluetooth</ulink>,
@@ -107,4 +107,10 @@
         ModemManager</ulink>
     </para>
+    <para role="optional" revision="systemd">
+      <!-- <xref linkend="gnome-bluetooth"/> -->
+      <xref linkend="ModemManager"/> and
+      <ulink url="&gnome-download-http;/mobile-broadband-provider-info">
+       mobile-broadband-provider-info</ulink> (runtime)
+    </para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -124,5 +130,4 @@
 <screen><userinput>./configure --prefix=/usr       \
             --sysconfdir=/etc   \
-            --disable-migration \
             --disable-static    &amp;&amp;
 
@@ -143,11 +148,13 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <option>--disable-migration</option>: This switch disables
+<!-- 
+    <para>
+      <option>- -disable-migration</option>: This switch disables
       building of the <application>NetworkManager Applet</application>
       <application>GConf</application> migration tool which is
       not necessary for BLFS.
     </para>
+-->
+<!-- Complained that it was an unrecognized option. -renodr -->
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -169,8 +176,8 @@
         </seg>
         <seg>
-          libnm-gtk.so
+          libnma.so and libnm-gtk.so
         </seg>
         <seg>
-          /usr/{include,share}/libnm-gtk and
+          /usr/{include,share}/{libnma,libnm-gtk} and
           /usr/share/nm-applet
         </seg>
@@ -191,4 +198,17 @@
           <indexterm zone="network-manager-applet nm-connection-editor">
             <primary sortas="b-nm-connection-editor">nm-connection-editor</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libnma">
+        <term><filename class="libraryfile">libnma.so</filename></term>
+        <listitem>
+          <para>
+            contains internal functions for the 
+            <application>Network Manager GTK+ Interface</application>.
+          </para>
+          <indexterm zone="network-manager-applet libnma">
+            <primary sortas="c-libnma">libnma.so</primary>
           </indexterm>
         </listitem>
Index: gnome/platform/notification-daemon.xml
===================================================================
--- gnome/platform/notification-daemon.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ gnome/platform/notification-daemon.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/polkit-gnome.xml
===================================================================
--- gnome/platform/polkit-gnome.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ gnome/platform/polkit-gnome.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ introduction/welcome/changelog.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -47,7 +47,31 @@
       <para>July 3rd, 2016</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to network-manager-applet-1.2.2. Partially
+          fixes <ulink url="&blfs-ticket-root;7837">#7837</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to NetworkManager-1.2.2. Partially fixes
+          <ulink url="&blfs-ticket-root;7837">#7837</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to ModemManager-1.4.14. Partially fixes
+          <ulink url="&blfs-ticket-root;7877">#7877</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to libqmi-1.14.2. Partially fixes
+          <ulink url="&blfs-ticket-root;7877">#7877</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to libmbim-1.12.4. Partially fixes
+          <ulink url="&blfs-ticket-root;7877">#7877</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to geoclue-2.4.3. Partially fixes
+          <ulink url="&blfs-ticket-root;7877">#7877</ulink>.</para>
+        </listitem>
         <listitem revision="systemd">
           <para>[renodr] - Copied dependencies from Gjs in systemd to trunk.</para>
-         </listitem>
+        </listitem>
         <listitem>
           <para>[renodr] - Commented test suite for libsecret. It gives me
Index: multimedia/libdriv/libcanberra.xml
===================================================================
--- multimedia/libdriv/libcanberra.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ multimedia/libdriv/libcanberra.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/connect/dhcpcd.xml
===================================================================
--- networking/connect/dhcpcd.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ networking/connect/dhcpcd.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -36,5 +36,5 @@
     DHCP client.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/geoclue.xml
===================================================================
--- networking/netlibs/geoclue.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ networking/netlibs/geoclue.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/geoclue2.xml
===================================================================
--- networking/netlibs/geoclue2.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ networking/netlibs/geoclue2.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -6,10 +6,10 @@
 
   <!ENTITY geoclue2-download-http
-           "http://www.freedesktop.org/software/geoclue/releases/2.2/geoclue-&geoclue2-version;.tar.xz">
+           "http://www.freedesktop.org/software/geoclue/releases/2.4/geoclue-&geoclue2-version;.tar.xz">
   <!ENTITY geoclue2-download-ftp  " ">
-  <!ENTITY geoclue2-md5sum        "c1970e4ec6f2af6591a75294fc6fb4fa">
-  <!ENTITY geoclue2-size          "332 KB">
-  <!ENTITY geoclue2-buildsize     "12 MB">
-  <!ENTITY geoclue2-time          "0.1 SBU">
+  <!ENTITY geoclue2-md5sum        "86381eeff164a890eb2178ceb5823cfe">
+  <!ENTITY geoclue2-size          "384 KB">
+  <!ENTITY geoclue2-buildsize     "16 MB">
+  <!ENTITY geoclue2-time          "0.2 SBU">
 ]>
 
@@ -38,5 +38,5 @@
     </para>
 
-    <!-- &lfs77_checked; -->
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -153,5 +153,6 @@
         </seg>
         <seg>
-          /etc/geoclue and
+          /etc/geoclue,
+          /usr/include/libgeoclue-2.0, and
           /usr/libexec/geoclue-2.0
         </seg>
Index: networking/netutils/networkmanager.xml
===================================================================
--- networking/netutils/networkmanager.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ networking/netutils/networkmanager.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -9,8 +9,8 @@
   <!ENTITY NetworkManager-download-ftp
            "&gnome-download-ftp;/NetworkManager/1.2/NetworkManager-&NetworkManager-version;.tar.xz">
-  <!ENTITY NetworkManager-md5sum        "d431bad77b68326282249bdb53ade6b4">
+  <!ENTITY NetworkManager-md5sum        "a922bf20c2243c9014fb14c4427ad035">
   <!ENTITY NetworkManager-size          "3.6 MB">
-  <!ENTITY NetworkManager-buildsize     "422 MB (with tests)">
-  <!ENTITY NetworkManager-time          "3.4 SBU (with tests)">
+  <!ENTITY NetworkManager-buildsize     "522 MB (with tests)">
+  <!ENTITY NetworkManager-time          "3.3 SBU (with tests)">
 ]>
 
@@ -376,5 +376,5 @@
         <listitem>
           <para>
-            interactive ncurses based interface for
+            is an interactive ncurses based interface for
             <application>nmcli</application>.
           </para>
@@ -389,5 +389,6 @@
         <listitem>
           <para>
-            interactive ncurses based interface connection activate/deactivate.
+            is an interactive ncurses based interface connection to 
+            activate/deactivate connections.
           </para>
           <indexterm zone="NetworkManager nmtui-connect">
@@ -401,5 +402,5 @@
         <listitem>
           <para>
-            interactive ncurses based interface connection editor.
+            is an interactive ncurses based interface connection editor.
           </para>
           <indexterm zone="NetworkManager nmtui-edit">
@@ -413,5 +414,5 @@
         <listitem>
           <para>
-            interactive ncurses based interface hostname editor.
+            is an interactive ncurses based interface hostname editor.
           </para>
           <indexterm zone="NetworkManager nmtui-hostname">
Index: packages.ent
===================================================================
--- packages.ent	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ packages.ent	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -133,8 +133,8 @@
 <!ENTITY libksba-version              "1.3.4">
 <!ENTITY liblinear-version            "210">
-<!ENTITY libmbim-version              "1.12.2">
+<!ENTITY libmbim-version              "1.12.4">
 <!ENTITY libnfsidmap-version          "0.26">
 <!ENTITY libpaper-version             "1.1.24+nmu4">
-<!ENTITY libqmi-version               "1.12.6">
+<!ENTITY libqmi-version               "1.14.2">
 <!ENTITY libsigc-version              "2.8.0">
 <!ENTITY libsigsegv-version           "2.10">
@@ -244,5 +244,5 @@
 <!ENTITY logrotate-version            "3.9.1">
 <!ENTITY mc-version                   "4.8.17">
-<!ENTITY ModemManager-version         "1.4.10">
+<!ENTITY ModemManager-version         "1.4.14">
 <!ENTITY obex-data-server-version     "0.4.6">
 <!ENTITY p7zip-version                "15.14.1">
@@ -402,5 +402,5 @@
 <!ENTITY bind-version                 "&bind-minor-version;.4-P1">
 <!ENTITY mod_dnssd-version            "0.6">
-<!ENTITY NetworkManager-version       "1.2.0">
+<!ENTITY NetworkManager-version       "1.2.2">
 <!ENTITY nmap-version                 "7.12">
 <!ENTITY traceroute-version           "2.1.0">
@@ -414,5 +414,5 @@
 <!ENTITY curl-version                 "7.49.1">
 <!ENTITY geoclue-version              "0.12.0">
-<!ENTITY geoclue2-version             "2.2.0">
+<!ENTITY geoclue2-version             "2.4.3">
 <!ENTITY glib-networking-version      "2.48.2">
 <!ENTITY ldns-version                 "1.6.17">
Index: x/lib/libnotify.xml
===================================================================
--- x/lib/libnotify.xml	(revision a327f9e9467b4240eefd3e4bdd0317626e0c368f)
+++ x/lib/libnotify.xml	(revision 939653d8a2bd14c56cf05abab88720921ccdc657)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>