Index: general.ent
===================================================================
--- general.ent	(revision 5909a5ed45798c4ad609b561729ff5d7a3538844)
+++ general.ent	(revision 941658dfb24e7c3b7594d8e682ad7ab655eec96d)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "23">                   <!-- Always 2 digits -->
+<!ENTITY day          "24">                   <!-- Always 2 digits -->
 <!ENTITY month        "03">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "March 23rd, &year;">
+<!ENTITY releasedate  "March 24th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5909a5ed45798c4ad609b561729ff5d7a3538844)
+++ introduction/welcome/changelog.xml	(revision 941658dfb24e7c3b7594d8e682ad7ab655eec96d)
@@ -42,4 +42,14 @@
     </listitem>
 -->
+    <listitem>
+      <para>March 24th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to plasma-5.15.3. Needed for
+          cmake-3.14.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>March 23rd, 2019</para>
Index: kde/plasma5/plasma-all.xml
===================================================================
--- kde/plasma5/plasma-all.xml	(revision 5909a5ed45798c4ad609b561729ff5d7a3538844)
+++ kde/plasma5/plasma-all.xml	(revision 941658dfb24e7c3b7594d8e682ad7ab655eec96d)
@@ -8,7 +8,7 @@
   <!ENTITY plasma5-download-ftp  " ">
   <!ENTITY plasma5-md5sum        "See Below">
-  <!ENTITY plasma5-size          "95 MB">
-  <!ENTITY plasma5-buildsize     "1.1 GB (330 MB installed)">
-  <!ENTITY plasma5-time          "13 SBU (using parallelism=4)">
+  <!ENTITY plasma5-size          "134 MB">
+  <!ENTITY plasma5-buildsize     "370 MB (246 MB installed)">
+  <!ENTITY plasma5-time          "16 SBU (using parallelism=4)">
 ]>
 
@@ -140,49 +140,49 @@
 
 <screen><userinput>cat &gt; plasma-&plasma5-version;.md5 &lt;&lt; "EOF"
-<literal>1195f11a0f135da965f7c84a0b535ad6  kdecoration-5.15.0.tar.xz
-0d4896be04000503bedcf5c7d51e896a  libkscreen-5.15.0.tar.xz
-784f3f907050c36265d0c289aa15779f  libksysguard-5.15.0.tar.xz
-41d68903361098906f7feb05aeef96da  breeze-5.15.0.tar.xz
-9a0d85a3a6b97e0f0920604e73c8f4f8  breeze-gtk-5.15.0.tar.xz
-0ed614d82dff50dd7b1df7165113f600  kscreenlocker-5.15.0.tar.xz
-86528bd2bd6f8a66108fc2ceba3cc1af  oxygen-5.15.0.tar.xz
-fdd8a90fc4b917602547adf44553990d  kinfocenter-5.15.0.tar.xz
-8c0b0aaf98727d52c00bfe3ca5152775  ksysguard-5.15.0.tar.xz
-52f86eb52dda1ccd547a8a66893d439e  kwin-5.15.0.tar.xz
-5424d6b8af2025c44acdaea10615a539  plasma-workspace-5.15.0.tar.xz
-8649b958165f1a87f07373be0f97fbf3  bluedevil-5.15.0.tar.xz
-2914de589f74b154fe29e3103be34ef6  kde-gtk-config-5.15.0.tar.xz
-79d22683db231b7623cf2ebe384994b6  khotkeys-5.15.0.tar.xz
-821abe928b627a33ae43ffeace3990e5  kmenuedit-5.15.0.tar.xz
-60dae1dde512a5b8c8f54adb48e83ec4  kscreen-5.15.0.tar.xz
-2c41b3ae8862a4243169e45348b1cd63  kwallet-pam-5.15.0.tar.xz
-ef01bd635719a4bf3c6845dbc08e7bc3  kwayland-integration-5.15.0.tar.xz
-6d461e4deeeae854e7efdff26c0fbc2e  kwrited-5.15.0.tar.xz
-7fd8557369f2d3a59e1d84c78a265afc  milou-5.15.0.tar.xz
-d3c9475c2b51cdb1f2efedfb5ab6cf88  plasma-nm-5.15.0.tar.xz
-6eab227685df4ccd68ada3a4b633711f  plasma-pa-5.15.0.tar.xz
-93a379e907d3b03205771e1b5c20ea7d  plasma-workspace-wallpapers-5.15.0.tar.xz
-ed5c4fc72e5d72c8da607bd5fe60693f  polkit-kde-agent-1-5.15.0.tar.xz
-12d65231a8265ee56d2ef1915aef7894  powerdevil-5.15.0.tar.xz
-939ec9bc31bb3c89a73163950bdcedda  plasma-desktop-5.15.0.tar.xz
-d7b299906680e0b564ff24f5c0d70f27  kdeplasma-addons-5.15.0.tar.xz
-92751cff053861a46f58d5ca8837cb65  kgamma5-5.15.0.tar.xz
-f6a267d3e76056a70abc262963f10ed5  ksshaskpass-5.15.0.tar.xz
-#f910c1c8e687ddade3c161e9b6b9b598  plasma-sdk-5.15.0.tar.xz
-19e3f3cb0c8341039f9855e79b9f395c  sddm-kcm-5.15.0.tar.xz
-9755f8d9e1c84fcf105b464b513bb269  user-manager-5.15.0.tar.xz
-d7135447c459e8c0bdb5d1fb1d703c01  discover-5.15.0.tar.xz
-#745357574864bd167cff7b294486e145  breeze-grub-5.15.0.tar.xz
-#a31d2ba0c628cf40d5102c14930a353c  breeze-plymouth-5.15.0.tar.xz
-885978ef5cae1c843673be511998fe22  kactivitymanagerd-5.15.0.tar.xz
-3fe2706c6c26f26d9aa38fb658763c9f  plasma-integration-5.15.0.tar.xz
-e8d58c1860a29905fcfb0933de163231  plasma-tests-5.15.0.tar.xz
-710233d7a0cb25b66caba2d496f706ba  plymouth-kcm-5.15.0.tar.xz
-78c04d7c16031002fb373a53ba75514a  xdg-desktop-portal-kde-5.15.0.tar.xz
-b1c8325c6a26a2b3f48b4adb6ce0a533  drkonqi-5.15.0.tar.xz
-3241eed0c5938ecb07c7b6462179fb9b  plasma-vault-5.15.0.tar.xz
-90c0b196206104b28def99c770db4ac1  plasma-browser-integration-5.15.0.tar.xz
-7033a941eef914415feea7051bf1e42f  kde-cli-tools-5.15.0.tar.xz
-580f675f1f03e5d2f4aec5cd6eebfe5f  systemsettings-5.15.0.tar.xz</literal>
+<literal>b0cbc29002c38525f06e25926e41ce46  kdecoration-5.15.3.tar.xz
+705f767f74d225a7d3e54863c28e8774  libkscreen-5.15.3.tar.xz
+94d5a8505d3ecc69726aa9deb592bf97  libksysguard-5.15.3.tar.xz
+9c11d520682160d4704cddb8386d3de8  breeze-5.15.3.tar.xz
+b369b343d6dd4ef3af6d18340a83f308  breeze-gtk-5.15.3.tar.xz
+d7ae9eaa8ff3208df01935fc0cd0c28a  kscreenlocker-5.15.3.tar.xz
+b0224262aaea0611a5304e9586d9ddbf  oxygen-5.15.3.tar.xz
+8064140c272452f7610e35b714930ca4  kinfocenter-5.15.3.tar.xz
+39a526781799088e251305f17945e784  ksysguard-5.15.3.tar.xz
+d297109766835e43cea21af920b88b3c  kwin-5.15.3.2.tar.xz
+582ef2fb97a9020c09d86118c04f3b0a  plasma-workspace-5.15.3.tar.xz
+7bb9a0a7cb5c751d1a94fcf9cb260bd4  bluedevil-5.15.3.tar.xz
+fc76a4f8bdb2a031fdadff946514ae3d  kde-gtk-config-5.15.3.tar.xz
+9eebf70f99a2eb0d0a62285d47a8542e  khotkeys-5.15.3.tar.xz
+50e642a3d5949443e161ea0d4eeaadea  kmenuedit-5.15.3.tar.xz
+0efcace3965f868e4b474f501c4c3130  kscreen-5.15.3.tar.xz
+6ebd5b3e62be468b4a5841bcce624093  kwallet-pam-5.15.3.tar.xz
+f5ceb5dbfcf2d3f590b9115c446b35df  kwayland-integration-5.15.3.tar.xz
+c568256c56e2a2fa22e642a8bd43bfa5  kwrited-5.15.3.tar.xz
+95d1078a08dcf21266a9cce51bac9dc6  milou-5.15.3.tar.xz
+46492d319950a48f3a192f1d883a4020  plasma-nm-5.15.3.tar.xz
+97752f6f9a57d39eaa1b68b99f5880af  plasma-pa-5.15.3.tar.xz
+7006c1d844dd8d23fa6c4e18af645860  plasma-workspace-wallpapers-5.15.3.tar.xz
+4b364062f59fb9599ef7c60fbcc1d9e2  polkit-kde-agent-1-5.15.3.tar.xz
+72da38b000b84ebb350b2842c22438bb  powerdevil-5.15.3.tar.xz
+0aedba1ccd551bf3137cbadedf140c3c  plasma-desktop-5.15.3.2.tar.xz
+a1b032662fd6267b7bf0e8a0ff627db0  kdeplasma-addons-5.15.3.tar.xz
+cb4e1b8f8d4b4f3bf53a35b7bb02fe48  kgamma5-5.15.3.tar.xz
+86f4c45eac9db936b22b84cb75c35598  ksshaskpass-5.15.3.tar.xz
+#b625e5c98588b20c842c8c750abf9df2  plasma-sdk-5.15.3.tar.xz
+b2a458ec19d39cdecc969b1e5ad226dd  sddm-kcm-5.15.3.tar.xz
+c1b015e2c94995c1e336204900d77929  user-manager-5.15.3.tar.xz
+1ffd8fe39532ef5093e42d4b330de5dd  discover-5.15.3.tar.xz
+#9dd691cded8af750f779f5479dc898e9  breeze-grub-5.15.3.tar.xz
+#2f48a4f199780cc8fe3d31eda54034e7  breeze-plymouth-5.15.3.tar.xz
+242dbc1fc363e90dad8350c9138918c3  kactivitymanagerd-5.15.3.tar.xz
+509f18cd766b6a63de42eaf3d8d91946  plasma-integration-5.15.3.tar.xz
+b92720b576ce939c033e21986b59abe2  plasma-tests-5.15.3.tar.xz
+a19b7e09a04dd5b6551fb05932fb0050  plymouth-kcm-5.15.3.tar.xz
+2492e7e238944e5f573857a8a8d66276  xdg-desktop-portal-kde-5.15.3.tar.xz
+79eeaeaf73d8002c536d9b9f398042db  drkonqi-5.15.3.tar.xz
+f2c1e4e95bf01106c2f9b434366258c3  plasma-vault-5.15.3.tar.xz
+dcede75af2b44e7dba52164f52a8a37a  plasma-browser-integration-5.15.3.tar.xz
+882890f64e5143e67e061f6267feea5f  kde-cli-tools-5.15.3.tar.xz
+4f27f409f8660e5656cfae2c7fe2c4a3  systemsettings-5.15.3.2.tar.xz</literal>
 EOF</userinput></screen>
 
@@ -280,5 +280,5 @@
       </para>
 
-<screen role="root"><userinput>cat &gt;&gt; /etc/pam.d/kde &lt;&lt; "EOF" 
+<screen role="root"><userinput>cat &gt; /etc/pam.d/kde &lt;&lt; "EOF" 
 # Begin /etc/pam.d/kde
 
@@ -426,3 +426,2 @@
 
 </sect1>
-
Index: packages.ent
===================================================================
--- packages.ent	(revision 5909a5ed45798c4ad609b561729ff5d7a3538844)
+++ packages.ent	(revision 941658dfb24e7c3b7594d8e682ad7ab655eec96d)
@@ -748,5 +748,5 @@
 <!ENTITY kf5apps-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/&kf5apps-version;/src">
 
-<!ENTITY plasma5-version       "5.15.0">
+<!ENTITY plasma5-version       "5.15.3">
 <!ENTITY oxygen-fonts-version  "5.4.3">
 