Index: kde/extra-cmake-modules.xml
===================================================================
--- kde/extra-cmake-modules.xml	(revision 453aaf61ec0171dbe8a3921b379a7da63eb3700f)
+++ kde/extra-cmake-modules.xml	(revision 951597f16f0b2bb87123fabd87f06d52ddb8b975)
@@ -7,7 +7,7 @@
    <!ENTITY extra-cmake-modules-download-http "&kf5-download-http;/extra-cmake-modules-&kf5-version;.tar.xz">
    <!ENTITY extra-cmake-modules-download-ftp  " ">
-   <!ENTITY extra-cmake-modules-md5sum        "a57cf2aa488fdcce7323a2a4b9aecb65">
+   <!ENTITY extra-cmake-modules-md5sum        "f8efb80c1c3c4bfe3ada218fa1eb6daa">
    <!ENTITY extra-cmake-modules-size          "320 KB">
-   <!ENTITY extra-cmake-modules-buildsize     "4.1 MB">
+   <!ENTITY extra-cmake-modules-buildsize     "6.7 MB">
    <!ENTITY extra-cmake-modules-time          "less than 0.1 SBU">
 ]>
Index: kde/kf5/kf5-frameworks.xml
===================================================================
--- kde/kf5/kf5-frameworks.xml	(revision 453aaf61ec0171dbe8a3921b379a7da63eb3700f)
+++ kde/kf5/kf5-frameworks.xml	(revision 951597f16f0b2bb87123fabd87f06d52ddb8b975)
@@ -10,6 +10,6 @@
   <!ENTITY kf5-md5sum        "See Below">
   <!ENTITY kf5-size          "264 MB">
-  <!ENTITY kf5-buildsize     "1.0 GB (225 MB installed)">
-  <!ENTITY kf5-time          "16 SBU (using parallelism=4)">
+  <!ENTITY kf5-buildsize     "1.0 GB (224 MB installed)">
+  <!ENTITY kf5-time          "15 SBU (using parallelism=4)">
 ]>
 
@@ -179,84 +179,83 @@
 
 <screen><userinput>cat &gt; frameworks-&kf5-version;.md5 &lt;&lt; "EOF"
-<literal>56fbdc261e2821bb20775f1346d07321  attica-5.53.0.tar.xz
-#a57cf2aa488fdcce7323a2a4b9aecb65  extra-cmake-modules-5.53.0.tar.xz
-4ecdd6e9ab36b9bbdbe183f042eecb62  kapidox-5.53.0.tar.xz
-81b62cf06f46166c16c194c88a2cc0fe  karchive-5.53.0.tar.xz
-968d1595082a3e167204a3b9585aa815  kcodecs-5.53.0.tar.xz
-94c1924e39827a9bdfe19d1746383553  kconfig-5.53.0.tar.xz
-#6c568d586c85e82b1d81221818862761  kcoreaddons-5.53.0.tar.xz
-919bc0c53aa22cb45705ec1761198508  kcoreaddons-5.53.1.tar.xz
-750d39201cca1bd29a1c6e10d33e77c0  kdbusaddons-5.53.0.tar.xz
-b3547e0cca796eedfada7a850969f307  kdnssd-5.53.0.tar.xz
-f2dee5c934be5a795c8caae2c9ef9c2f  kguiaddons-5.53.0.tar.xz
-95e67ba518ac2983e33ce8370bf0d3cd  ki18n-5.53.0.tar.xz
-176fb9a35f39ff79694c2a14be20ad44  kidletime-5.53.0.tar.xz
-ea2af0d9b0b3cd76b2f78e929c417f6f  kimageformats-5.53.0.tar.xz
-f4d5826a20517d81387d20afb558ad0a  kitemmodels-5.53.0.tar.xz
-ec88c97513d84ce37de888721a3012bb  kitemviews-5.53.0.tar.xz
-34125fa1563feb9af831b1f7e05629ae  kplotting-5.53.0.tar.xz
-d73f5e3087bac6610b217df937024f5a  kwidgetsaddons-5.53.0.tar.xz
-6f7d0cc6d6fda9795035426ca14011ee  kwindowsystem-5.53.0.tar.xz
-0c55c1c31cc8c78b748d09cd5e4da395  networkmanager-qt-5.53.0.tar.xz
-b7ca9416caae95bb56d72e062a31023b  solid-5.53.0.tar.xz
-fd28bda2bd2c1c0d40e477930394ed14  sonnet-5.53.0.tar.xz
-58eda3124d5b24282e20471ed8275816  threadweaver-5.53.0.tar.xz
-a98963e45c078d47f57e0f43c369baf2  kauth-5.53.0.tar.xz
-113a86c053589b02024fe2e2052968b1  kcompletion-5.53.0.tar.xz
-cabf02514d5ef0d5b25c44ff7d708ac3  kcrash-5.53.0.tar.xz
-905d494671f33de9827c9a4467c0bdc7  kdoctools-5.53.0.tar.xz
-102ec25afd116f79bb78699e3bf90bd7  kpty-5.53.0.tar.xz
-89e6c4d46895f827fc36cab1b3782bf1  kunitconversion-5.53.0.tar.xz
-295ec19de064d7ce1e0d5a89b8a21fbb  kconfigwidgets-5.53.0.tar.xz
-fd8aa91bad5b676a1d0c90588ff2220c  kservice-5.53.0.tar.xz
-ae6ea47653d2828821ec897b7e723134  kglobalaccel-5.53.0.tar.xz
-532cd48d56e1adc7f716d4721a78bfe1  kpackage-5.53.0.tar.xz
-253c8af01d93472f5940fd6f7fb33271  kdesu-5.53.0.tar.xz
-cf48b7990b0026a6eb193bff21eb2ad8  kemoticons-5.53.0.tar.xz
-234017ec51e4dc3f02989af75121e8f5  kiconthemes-5.53.0.tar.xz
-3437728b6b9a09a59720d86392c05624  kjobwidgets-5.53.0.tar.xz
-ec855d38c17ab4bba8d07b5e8532d6c7  knotifications-5.53.0.tar.xz
-41089d37d64582213161d5ea55833afa  ktextwidgets-5.53.0.tar.xz
-b4c155182fd4ce55a40c9805fb405952  kxmlgui-5.53.0.tar.xz
-f047e46e6b2ff7555a35678dbfaf06d5  kbookmarks-5.53.0.tar.xz
-69bab15cc17486a5fcb73a811df6bd46  kwallet-5.53.0.tar.xz
-23e7ef2aedfca8e77907d50d5bcfcb7e  kio-5.53.0.tar.xz
-89d9a968e01ad5c5937628dfc0b107f1  kdeclarative-5.53.0.tar.xz
-62046f1c778dbc0cb1d4cdf2964006c6  kcmutils-5.53.0.tar.xz
-66df9ccd7ad082f04aaa5d602f6c9744  kirigami2-5.53.0.tar.xz
-f9b94bfbfc7658ff675c6f81085172f7  knewstuff-5.53.0.tar.xz
-9957a52e9b75dd61a62f3ad7a61e299a  frameworkintegration-5.53.0.tar.xz
-f4c46a0a8e3e0cd7134c82895b47bb83  kinit-5.53.0.tar.xz
-6df039f32bce1f4c0f487a8997526d2f  knotifyconfig-5.53.0.tar.xz
-81379bd6d6adf476d776c74874594c09  kparts-5.53.0.tar.xz
-c05f22156c27da1ad2f7d2d07026b2e8  kactivities-5.53.0.tar.xz
-8edde556c89c783dbd6bd9956f52e0cf  kded-5.53.0.tar.xz
-#fea737d2db9d792bdc24eb3de83276cc  kdewebkit-5.53.0.tar.xz
-62d67899a9cd5cd6b93761ebafd88942  syntax-highlighting-5.53.0.tar.xz
-fec5ca67093aa83378d2b0daae131a43  ktexteditor-5.53.0.tar.xz
-1d4e9805bb6d3748b01140fdb0ecff41  kdesignerplugin-5.53.0.tar.xz
-89674cb577a239da0c6decddb62e8e28  kwayland-5.53.0.tar.xz
-b083d295d7f2ba6236ca466b0cdaca64  plasma-framework-5.53.0.tar.xz
-#21d412157131d544fe2fd76e230af5e8  modemmanager-qt-5.53.0.tar.xz
-4a734ace32596aa1a08922a291dc117f  kpeople-5.53.0.tar.xz
-130b79df792e0cd4be15a0f9fec54278  kxmlrpcclient-5.53.0.tar.xz
-a95dc95f2ab7b4892d3cb166516b6c73  bluez-qt-5.53.0.tar.xz
-e2d2de67f9dcbdabc950ef0a3ad5d5c5  kfilemetadata-5.53.0.tar.xz
-deed1d430e5c9b73008ca45c78df9ee3  baloo-5.53.0.tar.xz
-#a556bc1666851b8437ccaafd8cefe1d2  breeze-icons-5.53.0.tar.xz
-#0a7d75f573c34fc1d2781cea90c2074e  oxygen-icons5-5.53.0.tar.xz
-74f48c21cc7ccf14fcc441b7ec53ae65  kactivities-stats-5.53.0.tar.xz
-284425457f8270e91e94d13d1a522cce  krunner-5.53.0.tar.xz
-#49f35779816680e7da357abba972ceb0  prison-5.53.0.tar.xz
-b873771ad44ec37625a79d7a41e8679f  qqc2-desktop-style-5.53.0.tar.xz
-14303adfba7c862f0a7f4761f90d079b  kjs-5.53.0.tar.xz
-4cc726dd1c9633b8c41e64b6c41264d5  kdelibs4support-5.53.0.tar.xz
-3c483e076a47512970fa887eaf50c276  khtml-5.53.0.tar.xz
-91b293e616518e7603ef4063c748b324  kjsembed-5.53.0.tar.xz
-2b0aa8e7fc91286e8b5df927f77babb8  kmediaplayer-5.53.0.tar.xz
-690b0c422b7b22b7adf030be6a178e59  kross-5.53.0.tar.xz
-680e4656504ef2fc0e25c6a60e53a39e  kholidays-5.53.0.tar.xz
-13631f878f957b8a5c3103336f856b92  purpose-5.53.0.tar.xz
-0fe62a714eadf8e52a0f99e49ad647ae  syndication-5.53.0.tar.xz</literal>
+<literal>c6ea8536f0886a83c89036c26c141cfe  attica-5.55.0.tar.xz
+#f8efb80c1c3c4bfe3ada218fa1eb6daa  extra-cmake-modules-5.55.0.tar.xz
+1d51d64bfaa08b852f93b70be6bb0f8b  kapidox-5.55.0.tar.xz
+9feb5965a5438ea7900b10b6734b6b5d  karchive-5.55.0.tar.xz
+9cf8636f8ecd5699dc4cff2cd003bdaa  kcodecs-5.55.0.tar.xz
+83c4f3c39797bb014ae3d8addda3ee84  kconfig-5.55.0.tar.xz
+b84b0d269fbbf63dba84ba7b345ab77f  kcoreaddons-5.55.0.tar.xz
+fbcc4a6e4daaf8dbbb623c8e58f48748  kdbusaddons-5.55.0.tar.xz
+305545c320e2bd3901ca42a5d2a390fe  kdnssd-5.55.0.tar.xz
+86cdc362ac9b086762725ce50ad02254  kguiaddons-5.55.0.tar.xz
+e22ba2c4be9a642d52202941f311092f  ki18n-5.55.0.tar.xz
+b1be65f6c85633f98e13555fdf185ec7  kidletime-5.55.0.tar.xz
+6d89478ffa273724e47d937cf88715ef  kimageformats-5.55.0.tar.xz
+045f5c3b771e03c4d7d3ed8a61cce555  kitemmodels-5.55.0.tar.xz
+57f6924d2811f47b7805529f66a74f8b  kitemviews-5.55.0.tar.xz
+0f6c2f958cf17b8f3d1f1ae41511e4f1  kplotting-5.55.0.tar.xz
+cec11096084112885bb70c8af54b6c18  kwidgetsaddons-5.55.0.tar.xz
+47b9fdf114802c1618be3a808d3fb5f9  kwindowsystem-5.55.0.tar.xz
+cbc3ebe49b84228d4bea3b9f7dcb9638  networkmanager-qt-5.55.0.tar.xz
+d9d13af96a11f19b68a8787b07a9a8c4  solid-5.55.0.tar.xz
+9c2820d220904d527568ac3fd0ef901a  sonnet-5.55.0.tar.xz
+c78281f2572886467e906c7441673930  threadweaver-5.55.0.tar.xz
+9caa8c9db684df909a404c987b20bcd2  kauth-5.55.0.tar.xz
+51cfb4f5aafea5e85fb962da96e7eac3  kcompletion-5.55.0.tar.xz
+44f4b49602863fcfbaa2b142d913ebe2  kcrash-5.55.0.tar.xz
+bab2d57e0f7d0654e1c551c2c4e27a12  kdoctools-5.55.0.tar.xz
+e6095ee56197b9d67c1393ba53c7d3d0  kpty-5.55.0.tar.xz
+4476d603af984cb6322a9f831a906c41  kunitconversion-5.55.0.tar.xz
+5f36ce8b06f046d14309afba6307531d  kconfigwidgets-5.55.0.tar.xz
+2b7a006d241718cb3c411a42c67c84b4  kservice-5.55.0.tar.xz
+b7efe78d929ce60c2f6d6f91ffb99da5  kglobalaccel-5.55.0.tar.xz
+d49e0c95cc12e210705f843b8c8ae624  kpackage-5.55.0.tar.xz
+3b9f611ebb82225cd9021f3d8ba65d4e  kdesu-5.55.0.tar.xz
+a088d5a2316ce177c17823a7383216e3  kemoticons-5.55.0.tar.xz
+fcabfaf2a08be0bee4317dd7b48a46ac  kiconthemes-5.55.0.tar.xz
+550af897cf2b536c0b3370c414f2e607  kjobwidgets-5.55.0.tar.xz
+c6f26a73d4ea4835afbc07dd30f24f1b  knotifications-5.55.0.tar.xz
+104ea71b7a1495649a6c2b10ec76d49a  ktextwidgets-5.55.0.tar.xz
+ee8eb1f361e86568f8d63e3eef52c3d9  kxmlgui-5.55.0.tar.xz
+2c6edfead8cbea6eb513b69bd81f352f  kbookmarks-5.55.0.tar.xz
+e9aea329a955d888363452ef57dd351b  kwallet-5.55.0.tar.xz
+5ea8d5b98580eea963e20466fd0949cd  kio-5.55.0.tar.xz
+df0b9df0c1241debaeae2acc634ce917  kdeclarative-5.55.0.tar.xz
+b6903266cb40093a903e3f745c0b45dc  kcmutils-5.55.0.tar.xz
+bf939786cff333aa2d4c25502e4b2d08  kirigami2-5.55.0.tar.xz
+b79143c6c4aa5f5e207c4513bcce0eb8  knewstuff-5.55.0.tar.xz
+56cadbbd46a2b489fe43f063090fc1ce  frameworkintegration-5.55.0.tar.xz
+398d370cfc7060dbd8a2fa31d36a73f7  kinit-5.55.0.tar.xz
+fb2aa145caf992e812de648d77dc3d6d  knotifyconfig-5.55.0.tar.xz
+2be64b9dab33e65523b0a113f95f5fdd  kparts-5.55.0.tar.xz
+e643d57385e5bddb12cba895af11f93e  kactivities-5.55.0.tar.xz
+a53b413d3bd78f90af64da9c6433ffdb  kded-5.55.0.tar.xz
+#9e573a2efc794c7b2056a09ac21113f4  kdewebkit-5.55.0.tar.xz
+40c0bfab00d45324d232d94001903126  syntax-highlighting-5.55.0.tar.xz
+188a9f7d092c93bf06259baf0e83f7d7  ktexteditor-5.55.0.tar.xz
+15ec5f8445a23415a1f51980d1dd40c8  kdesignerplugin-5.55.0.tar.xz
+3238b6fe1c25908de1b38452f206b0a8  kwayland-5.55.0.tar.xz
+2afbba41e0f841b1775b0f002dbf2eca  plasma-framework-5.55.0.tar.xz
+#e605734af73a902175fcafd3de312ec8  modemmanager-qt-5.55.0.tar.xz
+b0dbb756aff5bc0c811411573d43dc5c  kpeople-5.55.0.tar.xz
+22e294d6a362245a0b9a9da19eb84262  kxmlrpcclient-5.55.0.tar.xz
+3242b966706240f90da8c22b0a7e007c  bluez-qt-5.55.0.tar.xz
+1d3f694c8a8a3a71a51ddb7f9172794a  kfilemetadata-5.55.0.tar.xz
+dbcac71cf905d6e282d04964ddd93e9f  baloo-5.55.0.tar.xz
+#6830eded1a3222a3dd91ba16d9fd8f60  breeze-icons-5.55.0.tar.xz
+#a8a6e3889a0b1507bbb16d1c62619438  oxygen-icons5-5.55.0.tar.xz
+5c6c869f871520f53eaf043415b39765  kactivities-stats-5.55.0.tar.xz
+32c65a65016c944a02060f75d65dbf3b  krunner-5.55.0.tar.xz
+#c09b474c3f96c20504834b5df84c54f1  prison-5.55.0.tar.xz
+46ff1ecbdcd631b1a88bc8789b362c1b  qqc2-desktop-style-5.55.0.tar.xz
+bdcbb64afef6a317eadfbfe3e8f08036  kjs-5.55.0.tar.xz
+8f936d42df6edc311758a2be928b3f32  kdelibs4support-5.55.0.tar.xz
+a91b430e12c09d01ec2a67d711737609  khtml-5.55.0.tar.xz
+f5b31ebf9337ee041f2fd9ef05df1494  kjsembed-5.55.0.tar.xz
+f3bad578dc409b557d63cf7f058bd5c9  kmediaplayer-5.55.0.tar.xz
+652b408be88fc8dde4dd6c2cf053588d  kross-5.55.0.tar.xz
+a28376dc7e56982df710307bef1a63e8  kholidays-5.55.0.tar.xz
+bfd74337cb26fe7f011de0eca4f08ffe  purpose-5.55.0.tar.xz
+450567c456f2215cc02ec70c941d5744  syndication-5.55.0.tar.xz</literal>
 EOF</userinput></screen>
 
Index: kde/phonon-backend-vlc.xml
===================================================================
--- kde/phonon-backend-vlc.xml	(revision 453aaf61ec0171dbe8a3921b379a7da63eb3700f)
+++ kde/phonon-backend-vlc.xml	(revision 951597f16f0b2bb87123fabd87f06d52ddb8b975)
@@ -7,5 +7,5 @@
   <!ENTITY phonon-backend-vlc-download-http "&kde-download-http;phonon/phonon-backend-vlc/&phonon-backend-vlc-version;/phonon-backend-vlc-&phonon-backend-vlc-version;.tar.xz">
   <!ENTITY phonon-backend-vlc-download-ftp  " ">
-  <!ENTITY phonon-backend-vlc-md5sum        "d506a519e931b5fd22045336eee9c0fb">
+  <!ENTITY phonon-backend-vlc-md5sum        "fb25f7b12e04a62d7d1916bade88400f">
   <!ENTITY phonon-backend-vlc-size          "60 KB">
   <!ENTITY phonon-backend-vlc-buildsize     "2.9 MB">
Index: kde/phonon.xml
===================================================================
--- kde/phonon.xml	(revision 453aaf61ec0171dbe8a3921b379a7da63eb3700f)
+++ kde/phonon.xml	(revision 951597f16f0b2bb87123fabd87f06d52ddb8b975)
@@ -7,7 +7,7 @@
   <!ENTITY phonon-download-http "&kde-download-http;phonon/&phonon-version;/phonon-&phonon-version;.tar.xz">
   <!ENTITY phonon-download-ftp  " ">
-  <!ENTITY phonon-md5sum        "edb9ab608c7b74b4f0f10ebcf53e050d">
+  <!ENTITY phonon-md5sum        "ed828952beaa140d1c025513febd8e5d">
   <!ENTITY phonon-size          "316 KB">
-  <!ENTITY phonon-buildsize     "8.9 MB">
+  <!ENTITY phonon-buildsize     "8.8 MB">
   <!ENTITY phonon-time          "0.2 SBU (Using parallelism=4)">
 ]>