Index: general/genlib/openssl/openssl-desc.xml
===================================================================
--- general/genlib/openssl/openssl-desc.xml	(revision b68dce59a3bee1c1a9f56ae65a6a044c71e9adc2)
+++ general/genlib/openssl/openssl-desc.xml	(revision 959892a392fa7ea5aa74d13a37c20e47f039068c)
@@ -2,5 +2,8 @@
 <title>Contents</title>
 
-<para>The <application>openssl</application> package contains <command>c_rehash</command>, <command>openssl</command>, <filename>libcrypto</filename> libraries and <filename>libssl</filename> libraries.</para>
+<para>The <application>openssl</application> package contains
+<command>c_rehash</command>, <command>openssl</command>, <filename
+class='libraryfile'>libcrypto</filename> libraries and <filename
+class='libraryfile'>libssl</filename> libraries.</para>
 
 </sect2>
Index: general/genlib/pcre/pcre-desc.xml
===================================================================
--- general/genlib/pcre/pcre-desc.xml	(revision b68dce59a3bee1c1a9f56ae65a6a044c71e9adc2)
+++ general/genlib/pcre/pcre-desc.xml	(revision 959892a392fa7ea5aa74d13a37c20e47f039068c)
@@ -2,7 +2,6 @@
 <title>Contents</title>
 
-<para>The pcre package contains the <filename>libpcre</filename> libraries, <userinput>pcregrep</userinput>,
-<userinput>pcretest</userinput> and 
-<userinput>pcre-config</userinput>.</para>
+<para>The <application>pcre</application> package contains the
+<filename class='libraryfile'>libpcre</filename> libraries, <command>pcregrep</command>, <command>pcretest</command> and <filename>pcre-config</filename>.</para>
 
 </sect2>
@@ -11,12 +10,14 @@
 
 <sect3><title>pcregrep</title>
-<para>pcregrep is a grep that understands perl compatible regular
+<para><command>pcregrep</command> is a grep that understands
+<application>perl</application> compatible regular
 expressions.</para></sect3>
 
 <sect3><title>pcretest</title>
-<para>pcretest can test your perl compatible regular expression.</para></sect3>
+<para><command>pcretest</command> can test your
+<application>perl</application> compatible regular expression.</para></sect3>
 
 <sect3><title>pcre-config</title>
-<para>pcre-config is used during the compile process of programs
+<para><filename>pcre-config</filename> is used during the compile process of programs
 linking to this library.</para></sect3>
 
Index: general/genlib/pcre/pcre-inst.xml
===================================================================
--- general/genlib/pcre/pcre-inst.xml	(revision b68dce59a3bee1c1a9f56ae65a6a044c71e9adc2)
+++ general/genlib/pcre/pcre-inst.xml	(revision 959892a392fa7ea5aa74d13a37c20e47f039068c)
@@ -2,9 +2,9 @@
 <title>Installation of pcre</title>
 
-<para>Install pcre by running the following commands:</para>
+<para>Install <application>pcre</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+make install</userinput></screen>
 
 </sect2>
Index: general/genlib/pcre/pcre-intro.xml
===================================================================
--- general/genlib/pcre/pcre-intro.xml	(revision b68dce59a3bee1c1a9f56ae65a6a044c71e9adc2)
+++ general/genlib/pcre/pcre-intro.xml	(revision 959892a392fa7ea5aa74d13a37c20e47f039068c)
@@ -2,15 +2,22 @@
 <title>Introduction to pcre</title>
 
-<screen>Download location (HTTP):       <ulink url="&pcre-download-http;"/>
-Download location (FTP):        <ulink url="&pcre-download-ftp;"/>
-Version used:                   &pcre-version;
-Package size:                   &pcre-size;
-Estimated Disk space required:  &pcre-buildsize;
-Estimated build time:           &pcre-time;</screen>
+<para>The <application>pcre</application> package contains
+<application>perl</application> compatible regular expression
+libraries. These are useful for implementing regular expression pattern
+matching using the same syntax and semantics as <application>Perl
+5</application>.</para>
 
-<para>The pcre package contains perl compatible regular expression
-libraries. These are useful for implementing regular expression pattern
-matching using the same syntax and semantics as Perl 5.</para>
-
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&pcre-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&pcre-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &pcre-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&pcre-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&pcre-time;</para></listitem></itemizedlist>
+</sect3>
 
 </sect2>