Index: Makefile
===================================================================
--- Makefile	(revision 5778f24ecf2a8e30ad382c8d15f52e76ef5abfd3)
+++ Makefile	(revision 972150e713dccc7ce58b80889ec78d300b324cde)
@@ -12,5 +12,5 @@
 SRCDIR = $(PWD)
 
-all: blfs-old
+all: blfs
 
 blfs-old: index.xml
Index: index.xml
===================================================================
--- index.xml	(revision 5778f24ecf2a8e30ad382c8d15f52e76ef5abfd3)
+++ index.xml	(revision 972150e713dccc7ce58b80889ec78d300b324cde)
@@ -3,7 +3,7 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040506">
-<!ENTITY releasedate "May 6th, 2004">
-<!ENTITY pubdate "2004-05-06">
+<!ENTITY version "CVS-20040507">
+<!ENTITY releasedate "May 7th, 2004">
+<!ENTITY pubdate "2004-05-07">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5778f24ecf2a8e30ad382c8d15f52e76ef5abfd3)
+++ introduction/welcome/changelog.xml	(revision 972150e713dccc7ce58b80889ec78d300b324cde)
@@ -11,4 +11,11 @@
 
 <itemizedlist>
+
+<listitem><para>May 7th, 2004 [bdubbs]: updated to qt-3.3.2.  
+Change to the xml structure.  Added md5sum.  Explained alternative
+build procedures.</para></listitem>
+
+<listitem><para>May 7th, 2004 [bdubbs]: separated the introduction to
+window managers to a separate section.</para></listitem>
 
 <listitem><para>May 6th, 2004 [larry]: updated udftools fro 2.4.26
Index: x/lib/qt.xml
===================================================================
--- x/lib/qt.xml	(revision 5778f24ecf2a8e30ad382c8d15f52e76ef5abfd3)
+++ x/lib/qt.xml	(revision 972150e713dccc7ce58b80889ec78d300b324cde)
@@ -3,10 +3,231 @@
 <title>Qt-&qt-version;</title>
 
-&qt-intro;
-&qt-inst;
-&qt-exp;
-&qt-config;
-&qt-desc;
-
+<sect2>
+<title>Introduction to <application>Qt</application></title>
+
+<para>The <application>Qt</application> package contains a
+<application>C++</application> <acronym>GUI</acronym> library. This is useful 
+for creating graphical applications or executing graphical applications that
+are dynamically linked to the <application>Qt</application> library. One of the
+major users of <application>Qt</application> is <application>KDE</application>.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&qt-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&qt-download-ftp;"/></para></listitem>
+<listitem><para>MD5 Sum: &qt-md5sum;</para></listitem>
+<listitem><para>Download size: &qt-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &qt-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &qt-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>Qt</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="x-installing"/></para>
+</sect4>
+<sect4><title>Recommended</title>
+<para><xref linkend="libjpeg"/> and <xref linkend="libmng"/>.</para>
+</sect4>
+
+<sect4><title>Optional</title>
+<para><xref linkend="nas"/>, <xref linkend="cups"/>, <xref linkend="mysql"/>,
+<xref linkend="postgresql"/>, <ulink url="http://firebird.sourceforge.net/">Firebird</ulink>, 
+and <ulink url="http://www.unixodbc.org/">unixODBC</ulink>.</para>
+</sect4>
+</sect3>
+</sect2>
+
+<sect2>
+<title>Installation of <application>Qt</application></title>
+
+<para>There are several ways to install a complicated package such as <application>Qt</application>.
+The files are not completely position independent.  Installation procedures execute the 
+program <filename>pkg-config</filename> to determine the location of package executables, libraries,
+headers, and other files.  For <application>Qt</application>, <filename>pkg-config</filename> will
+look for the file <filename>lib/pkgconfig/qt-mt.pc</filename> which must be modified if relocating the 
+package.  This file is set up correctly by the build process.</para>
+
+<para>The default installation places the files in <filename class='directory'>/usr/local/qt/</filename>.
+Many commercial distributions place the files in the system's 
+<filename class='directory'>/usr</filename> hierarchy.  The package can also be installed 
+in an arbitrary directory.</para>
+
+<para>This section will demonstrate two different methods.</para>
+
+
+<note><para>The build time for <application>Qt</application> is quite long.  If you want to 
+save some time and don't want the tutorials and examples, change the first make line to:</para>
+
+<para><userinput><command>make sub-tools</command></userinput></para>
+</note>
+
+<sect3>
+<title>Method 1 - Installing in the <filename class='directory'>/usr</filename> hierarchy</title>
+ 
+<para>The advantage of this method is that no updates to the <filename>/etc/ld.so.conf</filename>
+or <filename>/etc/man.conf</filename> files are required. The package files
+are distributed within several subdirectories of the <filename class='directory'>/usr</filename>
+hierarchy.  This is the method that most commercial distributions use.</para>
+
+ 
+<screen><userinput><command>sed -i "s:cp -f:install:" mkspecs/linux-g++/qmake.conf &amp;&amp;
+bash
+export PATH=$PWD/bin:$PATH &amp;&amp;
+export LD_LIBRARY_PATH=$PWD/lib &amp;&amp;
+./configure -prefix /usr -docdir /usr/share/doc/qt \
+    -headerdir /usr/include/qt -plugindir /usr/lib/qt/plugins \
+    -datadir /usr/share/qt -translationdir /usr/share/qt/translations \
+    -sysconfdir /etc/qt -qt-gif -system-zlib \
+    -no-exceptions -thread -plugin-imgfmt-png -system-libpng &amp;&amp;
+make &amp;&amp;
+find -type f -name Makefile | xargs sed -i "s@-Wl,-rpath,/usr/lib@@g" &amp;&amp;
+make install &amp;&amp;
+ln -sf libqt-mt.so /usr/lib/libqt.so &amp;&amp;
+cp -r doc/man /usr/share &amp;&amp;
+cp -r examples /usr/share/doc/qt &amp;&amp;
+exit</command></userinput></screen>
+
+</sect3>
+
+<sect3>
+<title>Method 2 - Installing in  <filename class='directory'>/opt</filename></title>
+
+<para>This is the method recommended by the <application>Qt</application> developers.  It
+has the advantage of keeping all the package files consolidated in a dedicated directory
+hierarchy.  By using this method, an update can be made without overwriting a previous 
+installation and users can easily back up to a previous version by changing one symbolic
+link.</para>
+
+<para>The <application>Qt</application> developers use a default location of 
+<filename class='directory'>/usr/local/qt/</filename>, however this procedure puts the files
+in <filename class='directory'>/opt/qt-&qt-version;/</filename> and then creates a
+symbolic link to <filename>/opt/qt/</filename>.</para>
+
+
+<screen><userinput><command>bash
+export QTDIR=$PWD &amp;&amp;
+export LD_LIBRARY_PATH=$PWD/lib &amp;&amp;
+export PATH=$PWD/bin:$PATH &amp;&amp;
+./configure -prefix /opt/qt-&qt-version; -qt-gif -system-libpng \
+&nbsp;&nbsp;&nbsp;-system-libmng -system-zlib -system-libjpeg -no-exceptions \
+&nbsp;&nbsp;&nbsp;-thread -plugin-imgfmt-png &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+ln -sfn qt-&qt-version; /opt/qt &amp;&amp;
+ln -s libqt-mt.so /opt/qt/lib/libqt.so &amp;&amp;
+cp -r doc/man /opt/qt/doc &amp;&amp;
+cp -r examples /opt/qt/doc
+exit</command></userinput></screen>
+
+<sect4>
+<title>Configuration</title>
+
+<para>For Method 2 only, update the <filename>/etc/ld.so.conf</filename> and  
+<filename>/etc/man.conf</filename> files.</para>
+
+
+<screen><userinput><command>cat &gt;&gt; /etc/ld.so.conf &lt;&lt; "EOF"
+# Begin qt addition to /etc/ld.so.conf
+
+/opt/qt/lib
+
+# End qt addition
+EOF
+ldconfig
+
+cat &gt;&gt; /etc/man.conf &lt;&lt; "EOF"
+# Begin qt addition to man.conf
+
+MANPATH /opt/qt/doc/man
+
+# End qt addition to man.conf
+EOF</command></userinput></screen>
+</sect4>
+</sect3>
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><command>sed -i "s:cp -f:install:" mkspecs/linux-g++/qmake.conf</command>:
+<command>install</command> is safer than <command>cp</command> when
+libraries are in use.</para>
+
+<para><command>bash</command>: This command enters a sub-shell to isolate 
+environment changes.</para>
+
+<para><command>export QTDIR=$PWD</command>: This command 
+defines where the root of the Qt directory is located.</para>
+
+<para><command>export LD_LIBRARY_PATH=$PWD/lib</command>: This command 
+sets up the location of libraries for the build process.</para>
+
+<para><command>export PATH=$PWD/bin:$PATH</command>: This command 
+allows the build process to find supporting executables.</para>
+
+<para><parameter>-qt-gif</parameter>: This switch adds support for gif
+files to the libraries.</para>
+
+<para><parameter>-system-zlib -system-libpng</parameter>: This switch
+forces the library to use the shared libraries that are on your system
+instead of recreating its own set of support libraries for these
+functions.</para>
+
+<para><parameter>-no-exceptions</parameter>: This switch disables
+the exceptions coding generated by the <application>C++</application> compiler.</para>
+
+<para><parameter>-thread</parameter>: This switch adds
+support for multi-threading.</para>
+
+<para><command>find -type f -name Makefile | xargs sed -i "s@-Wl,-rpath,/usr/lib@@g"</command>:
+This command removes hardcoded run-time path, else
+<command>uic</command> tries to run with system installed Qt
+libraries.</para>
+
+<para><command>ln -s libqt-mt.so /usr/lib/libqt.so</command>: This
+command allows configure scripts
+to find a working <application>Qt</application> installation.</para>
+
+<para><command>cp -r doc/man /usr/share (or /opt/qt/doc)</command>: This command
+installs the man pages which are missed by <command>make install</command>.</para>
+
+<para><command>cp -r examples /usr/share/doc/qt (or /opt/qt/doc)</command>: This command
+installs the examples which are missed by <command>make install</command>.</para>
+
+<para><command>exit</command>: This command returns to the parent shell
+and eliminates environment variables set earlier.</para>
+
+</sect2>
+<sect2>
+<title>Configuring <application>Qt</application></title>
+
+<sect3><title>Configuration Information</title>
+
+&library-config;
+
+</sect3>
+
+</sect2>
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Qt</application>/<application>X11</application>
+library contains <acronym>API</acronym>'s necessary to use
+programs based on Qt <acronym>GUI</acronym> toolkit.</para>
+
+<para>The <application>Qt</application> package contains 
+<command>assistant</command>,
+<command>designer</command>,
+<command>linguist</command>,
+<command>lrelease</command>,
+<command>lupdate</command>,
+<command>moc</command>,
+<command>qm2ts</command>,
+<command>qmake</command>,
+<command>qtconfig</command>,
+<command>uic</command>, and the
+<filename class="libraryfile">libqt-mt</filename> and 
+<filename class="libraryfile">libqui</filename> libraries.</para>
+
+</sect2>
 </sect1>
-
Index: x/wm/wm.xml
===================================================================
--- x/wm/wm.xml	(revision 5778f24ecf2a8e30ad382c8d15f52e76ef5abfd3)
+++ x/wm/wm.xml	(revision 972150e713dccc7ce58b80889ec78d300b324cde)
@@ -2,4 +2,7 @@
 <?dbhtml filename="wm.html" ?>
 <title>Window Managers</title>
+
+<sect1 id="Introduction">  
+<title>Introduction</title>
 
 <para>Window Mangers and Desktop Environments are the primary user
@@ -32,5 +35,5 @@
 presented.  Later in the book, both <application><acronym>KDE</acronym></application> and
 <application><acronym>GNOME</acronym></application> have their own Parts.</para>
-
+</sect1>
 
 &sawfish;
Index: x/x.ent
===================================================================
--- x/x.ent	(revision 5778f24ecf2a8e30ad382c8d15f52e76ef5abfd3)
+++ x/x.ent	(revision 972150e713dccc7ce58b80889ec78d300b324cde)
@@ -14,5 +14,5 @@
 <!ENTITY x-lib SYSTEM "lib/lib.xml">
 <!ENTITY % lesstif SYSTEM "lib/lesstif/lesstif.ent">
-<!ENTITY % qt SYSTEM "lib/qt/qt.ent">
+<!ENTITY % qt SYSTEM "lib/qt.ent">
 <!ENTITY % gtk SYSTEM "lib/gtk/gtk.ent">
 <!ENTITY % atk SYSTEM "lib/atk/atk.ent">