Index: general/prog/jdk/j2sdk-config.xml
===================================================================
--- general/prog/jdk/j2sdk-config.xml	(revision a338b482a62c273c427947d55475dbba063df13d)
+++ general/prog/jdk/j2sdk-config.xml	(revision 1030431fc79cae3ff6be2c7445ae86c8111c7267)
@@ -8,6 +8,5 @@
 compiled j2sdk, do the following:</para>
 
-<para><screen><userinput>ln -nsf j2sdk-&j2sdk-src-version; /opt/j2sdk/j2sdk
-</userinput></screen></para>
+<para><screen><userinput>ln -nsf j2sdk-&j2sdk-src-version; /opt/j2sdk/j2sdk</userinput></screen></para>
 
 <para>Add the following lines to your shell startup file (e.g. /etc/profile).
Index: general/prog/jdk/j2sdk-inst.xml
===================================================================
--- general/prog/jdk/j2sdk-inst.xml	(revision a338b482a62c273c427947d55475dbba063df13d)
+++ general/prog/jdk/j2sdk-inst.xml	(revision 1030431fc79cae3ff6be2c7445ae86c8111c7267)
@@ -7,6 +7,5 @@
 <para>Install the binary version of the jdk by running the following commands:</para>
 
-<para><screen><userinput>
-VERSION=&j2sdk-bin-version; &amp;&amp;
+<para><screen><userinput>VERSION=&j2sdk-bin-version; &amp;&amp;
 MV=`echo $VERSION | cut -d "_" -f 1,1` &amp;&amp;
 V=`echo ${VERSION} | sed -e "s/\./_/g"` &amp;&amp;
@@ -17,6 +16,5 @@
 cd j2sdk${VERSION} &amp;&amp;
 install -d /opt/j2sdk/j2sdk-precompiled-${MV} &amp;&amp;
-mv * /opt/j2sdk/j2sdk-precompiled-${MV}
-</userinput></screen></para>
+mv * /opt/j2sdk/j2sdk-precompiled-${MV}</userinput></screen></para>
 
 <para>The binary version is now installed.</para>
@@ -31,6 +29,5 @@
 <para>Unzip and patch the source:</para>
 
-<para><screen><userinput>
-VERSION=&j2sdk-src-version; &amp;&amp;
+<para><screen><userinput>VERSION=&j2sdk-src-version; &amp;&amp;
 V=`echo $VERSION | sed -e "s/\./_/g"` &amp;&amp;
 unzip j2sdk-${V}-src-scsl.zip &amp;&amp;
@@ -40,10 +37,8 @@
 patch -Np1 -i j2sdk-${VERSION}-remove-fixed-paths.patch &amp;&amp;
 patch -Np1 -i j2sdk-${VERSION}-syntax-fixes.patch &amp;&amp;
-patch -Np1 -i j2sdk-${VERSION}-use-included-motif.patch
-</userinput></screen></para>
+patch -Np1 -i j2sdk-${VERSION}-use-included-motif.patch</userinput></screen></para>
 
 <para>Set some vars which affect the build:</para>
-<para><screen><userinput>
-export ALT_BOOTDIR="$JAVA_HOME" &amp;&amp;
+<para><screen><userinput>export ALT_BOOTDIR="$JAVA_HOME" &amp;&amp;
 unset JAVA_HOME &amp;&amp;
 unset CLASSPATH &amp;&amp;
@@ -57,16 +52,13 @@
 export INSANE=true &amp;&amp;
 export MAKE_VERBOSE=true &amp;&amp;
-export ALT_CACERTS_FILE=${ALT_BOOTDIR}/jre/lib/security/cacerts
-</userinput></screen></para>
+export ALT_CACERTS_FILE=${ALT_BOOTDIR}/jre/lib/security/cacerts</userinput></screen></para>
 
 <para>Make and Install j2sdk with the following commands:</para>
 
-<para><screen><userinput>
-cd control/make &amp;&amp;
+<para><screen><userinput>cd control/make &amp;&amp;
 make &amp;&amp;
 cd ../.. &amp;&amp;
 cd control/build/linux-i?86 &amp;&amp;
-cp -a j2sdk-image /opt/java/j2sdk-&j2sdk-src-version; &amp;&amp;
-</userinput></screen></para>
+cp -a j2sdk-image /opt/java/j2sdk-&j2sdk-src-version; &amp;&amp;</userinput></screen></para>
 
 </sect2>
Index: index.xml
===================================================================
--- index.xml	(revision a338b482a62c273c427947d55475dbba063df13d)
+++ index.xml	(revision 1030431fc79cae3ff6be2c7445ae86c8111c7267)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20030130">
-<!ENTITY releasedate "January 30th, 2003">
+<!ENTITY version "20030131">
+<!ENTITY releasedate "January 31th, 2003">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision a338b482a62c273c427947d55475dbba063df13d)
+++ introduction/welcome/credits.xml	(revision 1030431fc79cae3ff6be2c7445ae86c8111c7267)
@@ -87,5 +87,5 @@
 gnome-system-monitor, gnome-terminal, gnome-utils, gnome-vfs,
 gnome2-user-docs, gnumeric, GTK+2, gtk-doc, gtk-engines, eel, imlib, intltool,
-j2sdk, lame, libao, libart_lgpl, libbonobo, libbonoboui, libgail-gnome,
+lame, libao, libart_lgpl, libbonobo, libbonoboui, libgail-gnome,
 libglade2, libgnome, libgnomecanvas, libgnomeprint, libgnomeprintui,
 libgnomeui, libgtkhtml, libgtop, libIDL, libogg, librep, librsvg,
@@ -130,5 +130,5 @@
 Tie-Ten-Quee</emphasis></para></listitem>
 
-<listitem><para>mozilla and openoffice: <emphasis>Tushar Teredesai</emphasis></para></listitem>
+<listitem><para>j2sdk, mozilla and openoffice: <emphasis>Tushar Teredesai</emphasis></para></listitem>
 
 </itemizedlist>