Index: x/installing/tuning-fontconfig.xml
===================================================================
--- x/installing/tuning-fontconfig.xml	(revision 82ea9e2860a4ae026ed292e4e8739b7a99582823)
+++ x/installing/tuning-fontconfig.xml	(revision 1307636b2f85394fdcaff3a43c327dc48c891985)
@@ -42,5 +42,7 @@
       Unfortunately, some of the terminology is ambiguous (e.g. 'font face' can
       mean a name known to Fontconfig, <emphasis>or</emphasis> the ordinary,
-      condensed, etc variations of a font).
+      condensed, etc variations of a font) and 'style' can be used to
+      differentiate 'ordinary' from 'italic', or in describing some classes of
+      Serif fonts.
     </para>
 
@@ -149,5 +151,6 @@
 
     <para>
-      The following commands may be helpful when working with Fontconfig,
+      The following commands may be helpful when working with
+      <application>Fontconfig</application>,
       particularly if you are interested in overriding which font will be
       chosen. 'TYPE' should be one of serif, sans-serif or monospace.
@@ -349,5 +352,6 @@
 
     <para>
-      All remaining scripts for which Fontconfig has preferences (CJK scripts,
+      All remaining scripts for which <application>Fontconfig</application> has
+      preferences (CJK scripts,
       Indic scripts) are dealt with in <filename>65-nonlatin.conf</filename>.
       These are again nominally grouped as Serif, Sans-Serif, Monospace. Of the
@@ -415,11 +419,12 @@
 
     <para>
-      For 'fantasy' there are no free fonts, so Fontconfig will fall back to
-      sans-serif.
+      For 'fantasy' there are no free fonts, so
+      <application>Fontconfig</application> will fall back to sans-serif.
     </para>
 
     <para>
       For 'cursive', the only free font is TeX Gyre Chorus as an alias for
-      ITC Zapf chancery, otherwise Fontconfig will again fall back to sans-serif.
+      ITC Zapf chancery, otherwise <application>Fontconfig</application> will
+      again fall back to sans-serif.
     </para>
 
@@ -786,5 +791,6 @@
             with an old conf file preferring it for zh-tw and zh-hk language
             codes (and for sans-serif and monospace). But without the conf file,
-            Fontconfig will only treat it as suitable for zh-hk.
+            <application>Fontconfig</application> will only treat it as suitable
+            for zh-hk.
             The conf file needs to be edited to current style and will then be
             prepended, so specifying UMing does not belong in this
@@ -983,5 +989,6 @@
       to your local machine. As shiped it will use your default Serif font assuming
       you have one. Edit it to point to a specific installed font using the name
-      known to Fontconfig (also in the *EDITME FONTNAME*  text items) and open it
+      known to <application>Fontconfig</application> (also in the *EDITME FONTNAME*
+      text items) and open it
       from your desktop browser. You can also use it to look at a font with only
       two installed weights, e.g. for testing to see if you prefer other weights.
@@ -1018,31 +1025,35 @@
 
     <para>
-      Several desktop environments, as well as some programs, will use Fontconfig
+      Several desktop environments, as well as some programs, will use
+      <application>Fontconfig</application>
       to find fonts but may override certain things.
     </para>
 
     <para>
-      GNOME: The settings in org.gnome.desktop.interface can be updated with
-      <application>dconf-editor</application>. You can set the fonts to your preference
-      and desired point size. To use the fonts chosen by Fontconfig specify e.g.
-      'Sans 12', Serif 11', 'Mono 10' as desired. Also review the antialiasing, hinting
-      and rgba settings.
-    </para>
-
-    <para>
-      LXQt: Change font settings as necessary to match Fontconfig in
+      <application>GNOME</application>: The settings in
+      org.gnome.desktop.interface can be updated with
+      <application>dconf-editor</application>. You can set the fonts to your
+      preference and desired point size. To use the fonts chosen by
+      <application>Fontconfig</application> specify e.g. 'Sans 12', Serif 11',
+      'Mono 10' as desired. Also review the antialiasing, hinting and rgba
+      settings.
+    </para>
+
+    <para>
+      <application>LXQt</application>: Change font settings as necessary to
+      match <application>Fontconfig</application> in
       <application>lxqt-config-appearance</application>.
     </para>
 
     <para>
-      KDE Plasma: The settings can be adjusted in <application>System
-      Settings</application> under Appearance -> Fonts. This will create or modify
-      <filename>~/.config/fontconfig/fonts.conf</filename> although
-      <filename>~/.config/fontconfig/fonts.conf</filename>, if installed, can
-      override that.
-    </para>
-
-    <para>
-      Xfce desktop: The settings can be adjusted in
+      <application>KDE Plasma</application>: The settings can be adjusted in
+      <application>System Settings</application> under Appearance -> Fonts. This
+      will create or modify <filename>~/.config/fontconfig/fonts.conf</filename>
+      although <filename>~/.config/fontconfig/fonts.conf</filename>, if
+      installed, can override that.
+    </para>
+
+    <para>
+      i<application>Xfce desktop</application>: The settings can be adjusted in
       <application>Settings</application> Appearance -> Fonts. Specify your
       preferred fonts, e.g. 'Sans Regular' (to use the normal face and weight
@@ -1052,9 +1063,10 @@
 
     <para>
-      Firefox: This browser allows you to specify its default fonts. For the 115esr
-      series, use the 'Hamburger' menu to got to Preferences, General, and under Fonts
-      -> Advanced select Sans Serif, Serif, Monospace as appropriate if you wish to use
-      the fonts which match Fontconfig.  Set the point sizes as desired. In later
-      versions, the settings are at Preferences -> Fonts.
+      <application>Firefox</application>: This browser allows you to specify its
+      default fonts. For the 115esr series use the 'Hamburger' menu to go to
+      Preferences, General, and under Fonts -> Advanced select Sans Serif, Serif
+      or Monospace as appropriate if you wish to use the fonts which match
+      <application>Fontconfig</application>.  Set the point sizes as desired. In
+      later versions, the settings are at Preferences -> Fonts.
       <!-- FIXME : Ken - when merging, add note in packages to update this when next ESR
       series is used --> 
@@ -1062,18 +1074,22 @@
 
     <para>
-      Libreoffice: Tests using English text with an old Japanese font (HanaMinA)
-      which supports several European languages but had only one weight and no
-      italics or slant showed that although <application>libreoffice</application>
-      uses Fontconfig to find the font, it created its own bold or slanted text.
-      It is not clear if it will do the same where a font actually has bold weight
-      or an italic style. Also, documentation shows that libreoffice has its own
-      substitution rules for when a codepoint is not found in the selected font,
-      but is unclear if those rules apply on Linux using Fontconfig.
-    </para>
-
-    <para>
-      Pango: as noted in the example <filename>~/.config/fontconfig</filename>
-      above, anything using Pango-1.44 (from 2019) or later now uses Harfbuzz for
-      hinting, not FreeType, and <literal>hintfull</literal> is not supported.
+      <application>Libreoffice</application>: Tests using English text with an
+      old Japanese font (HanaMinA) which supports several European languages but
+      had only one weight and no italics or slant showed that although
+      <application>Libreoffice</application> uses
+      <application>Fontconfig</application> to find the font, it created its own
+      bold or slanted text. It is not clear if it will do the same where a font
+      actually has bold weight or an italic style. Also, documentation shows
+      that <application>Libreoffice</application> has its own substitution rules
+      for when a codepoint is not found in the selected font, but is unclear if
+      those rules apply on Linux using Fontconfig.
+    </para>
+
+    <para>
+      <application>Pango</application>: as noted in the example
+      <filename>~/.config/fontconfig</filename> above, anything using Pango-1.44
+      (from 2019) or later now uses <application>Harfbuzz</application> for
+      hinting, not <application>FreeType</application>, and
+      <literal>hintfull</literal> is not supported.
     </para>
 