Index: general/sysutils/fcron.xml
===================================================================
--- general/sysutils/fcron.xml	(revision 0882c902c22f12d61fdd425caceef6bb16ec4b33)
+++ general/sysutils/fcron.xml	(revision 1586494b11a736d54b3116961a7caed817b4ceb6)
@@ -10,5 +10,4 @@
 <!ENTITY fcron-buildsize "3.4 MB">
 <!ENTITY fcron-time "0.10 SBU">
-
 ]>
 
@@ -19,75 +18,80 @@
 </sect1info>
 <?dbhtml filename="fcron.html"?>
-<title>Fcron-&fcron-version;</title>
+<title><application>Fcron</application>-&fcron-version;</title>
 
 <sect2>
 <title>Introduction to <application>Fcron</application></title>
-                                                                               
+
 <para>The <application>Fcron</application> package contains a periodical
 command scheduler which aims at replacing <application>Vixie
 Cron</application>.</para>
-                                                                               
+
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&fcron-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&fcron-download-ftp;"/></para></listitem>
+<listitem><para>Download (HTTP): 
+<ulink url="&fcron-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&fcron-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &fcron-size;</para></listitem>
-<listitem><para>Estimated disk space required: &fcron-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &fcron-time;</para></listitem></itemizedlist>
+<listitem><para>Estimated disk space required: 
+&fcron-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&fcron-time;</para></listitem></itemizedlist>
 </sect3>
-                                                                               
+
 <sect3><title><application>Fcron</application> dependencies</title>
 <sect4><title>Optional</title>
-<para>
-<ulink url="../server/mail.html">MTA</ulink>,
+<para><ulink url="../server/mail.html">MTA</ulink>, 
 <xref linkend="Linux_PAM"/>,
 <ulink url="http://www.nsa.gov/selinux/">SELinux</ulink>,
 <xref linkend="docbook-utils"/> and
 <ulink url="../postlfs/editors.html">a text editor</ulink> (default is
-<xref linkend="postlfs-editors-vim"/>)
-</para></sect4>
+<xref linkend="postlfs-editors-vim"/>)</para>
+</sect4>
 </sect3>
-                                                                               
+
 </sect2>
 
 <sect2>
 <title>Installation of <application>Fcron</application></title>
-                                                                               
+
 <para><application>Fcron</application> uses the cron facility of
-<command>syslog</command>
-to log all messages. Since <acronym>LFS</acronym> does not set up this
-facility in <filename>/etc/syslog.conf</filename>, it needs to be done
-prior to installing <application>Fcron</application>. This command will append
-the necessary line to the current <filename>/etc/syslog.conf</filename>:</para>                                                                               
+<command>syslog</command> to log all messages. Since <acronym>LFS</acronym> 
+does not set up this facility in <filename>/etc/syslog.conf</filename>, it 
+needs to be done prior to installing <application>Fcron</application>. This 
+command will append the necessary line to the current 
+<filename>/etc/syslog.conf</filename>:</para>
+
 <screen><userinput><command>cat &gt;&gt; /etc/syslog.conf &lt;&lt; "EOF"
 # Begin fcron addition to /etc/syslog.conf
-                                                                               
+
 cron.* -/var/log/cron.log
-                                                                               
+
 # End fcron addition
 EOF</command></userinput></screen>
-                                                                               
+
 <para>The configuration file has been modified, so reloading the
 <command>sysklogd</command> daemon will activate the changes.</para>
-                                                                               
+
 <screen><userinput><command>/etc/rc.d/init.d/sysklogd reload</command></userinput></screen>
-                                                                               
-<para>For security reasons, we need to create an unprivileged user and
-group for <application>fcron</application>:</para>
-                                                                               
+
+<para>For security reasons, an unprivileged user and group for 
+<application>Fcron</application> should be created:</para>
+
 <screen><userinput><command>groupadd fcron &amp;&amp;
-useradd -d /dev/null -g fcron -s /bin/false fcron</command></userinput></screen>
-                                                                               
-<para>Install <application>Fcron</application> by running the following commands:</para>
+useradd -d /dev/null -c "Fcron User" -g fcron -s /bin/false fcron</command></userinput></screen>
+
+<para>Install <application>Fcron</application> by running the following 
+commands:</para>
 
 <screen><userinput><command>./configure --without-sendmail --with-answer-all=no &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
-                                                                               
+
 </sect2>
 
 <sect2>
 <title>Command explanations</title>
-                                                                               
+
 <para><option>--without-sendmail</option>: <application>Fcron</application>
 will use an installed <acronym>MTA</acronym> to email you the results of the
@@ -95,71 +99,73 @@
 the switch to <parameter>--with-sendmail=<replaceable>[path to your
 MTA]</replaceable></parameter>.</para>
-                                                                               
+
 <para><parameter>--with-answer-all=no</parameter>: After the files are
 installed, the <command>make install</command> script enters into a
-configuration routine.  The first test will be whether to install a boot script in the <filename class="directory">/etc/rc.d/init.d</filename> directory with
-the appropriate symbolic links in run levels 2, 3, 4, and 5. The second is to
-stop any current fcron processes and start a new one. Since this is probably
-your first install and we want a boot script based upon the
-<acronym>BLFS</acronym> template, we answer 'n' to both tests.</para>
-                                                                               
+configuration routine.  The first test will be whether to install a boot 
+script in the <filename class="directory">/etc/rc.d/init.d</filename> 
+directory with the appropriate symbolic links in run levels 2, 3, 4, and 5. 
+The second is to stop any current fcron processes and start a new one. Since 
+this is probably your first install and a boot script based upon the
+<acronym>BLFS</acronym> template is desired, answer 'n' to both tests.</para>
+
 </sect2>
 
 <sect2>
 <title>Configuring <application>Fcron</application></title>
-                                                                               
+
 <sect3><title>Config files</title>
-                                                                               
+
 <para><filename>/etc/fcron.conf</filename>,
-<filename>/etc/fcron.allow</filename>,
+<filename>/etc/fcron.allow</filename> and 
 <filename>/etc/fcron.deny</filename></para>
-                                                                               
+
 </sect3>
-                                                                               
+
 <sect3><title>Configuration Information</title>
-                                                                               
+
 <para>There are no required changes in any of the config files.
 Configuration information can be found in the man page for
 <filename>fcron.conf</filename>.</para>
-                                                                               
-<para><command>fcron</command> scripts are written using <command>fcrontab</command>.
-Refer to the fcrontab man page for proper parameters to address your situation.</para>
-                                                                               
+
+<para><command>fcron</command> scripts are written using 
+<command>fcrontab</command>. Refer to the <command>fcrontab</command> man 
+page for proper parameters to address your situation.</para>
+
 <para>Install the <filename>/etc/rc.d/init.d/fcron</filename>
-init script from the <xref linkend="intro-important-bootscripts"/> package.</para>
-                                                                               
+init script from the <xref linkend="intro-important-bootscripts"/> 
+package.</para>
+
 <screen><userinput><command>make install-fcron</command></userinput></screen>
-                                                                               
+
 </sect3>
-                                                                               
+
 </sect2>
 
 <sect2>
 <title>Contents</title>
-                                                                               
+
 <para>The <application>Fcron</application> package contains
-<command>fcron</command>, <command>fcrontab</command>, <command>fcronsighup
-</command> and <command>fcrondyn.</command></para>
-                                                                               
+<command>fcron</command>, <command>fcrontab</command>, 
+<command>fcronsighup</command> and <command>fcrondyn</command>.</para>
+
 </sect2>
-                                                                               
+
 <sect2><title>Description</title>
-                                                                               
+
 <sect3><title>fcron</title>
-<para><command>fcron</command> is the scheduling daemon.
-</para></sect3>
-                                                                               
+<para><command>fcron</command> is the scheduling daemon.</para></sect3>
+
 <sect3><title>fcrontab</title>
 <para><command>fcrontab</command> is the program used to install, edit, list
 and remove the tables used by <command>fcron</command>.</para></sect3>
-                                                                               
+
 <sect3><title>fcronsighup</title>
 <para><command>fcronsighup</command> instructs <command>fcron</command> to
 reread the fcron tables.</para></sect3>
-                                                                               
+
 <sect3><title>fcrondyn</title>
 <para><command>fcrondyn</command> is a user tool intended to interact with a
 running <command>fcron</command> daemon.</para></sect3>
-                                                                               
+
 </sect2>
 
Index: general/sysutils/pkgconfig.xml
===================================================================
--- general/sysutils/pkgconfig.xml	(revision 0882c902c22f12d61fdd425caceef6bb16ec4b33)
+++ general/sysutils/pkgconfig.xml	(revision 1586494b11a736d54b3116961a7caed817b4ceb6)
@@ -6,5 +6,5 @@
 
 <!ENTITY pkgconfig-download-http "http://www.freedesktop.org/software/pkgconfig/releases/pkgconfig-&pkgconfig-version;.tar.gz">
-<!ENTITY pkgconfig-download-ftp " ">
+<!ENTITY pkgconfig-download-ftp "ftp://ftp.fu-berlin.de/unix/linux/mirrors/gentoo/distfiles/pkgconfig-&pkgconfig-version;.tar.gz">
 <!ENTITY pkgconfig-size "604 KB">
 <!ENTITY pkgconfig-buildsize "5.2 MB">
@@ -18,5 +18,5 @@
 </sect1info>
 <?dbhtml filename="pkgconfig.html"?>
-<title>pkgconfig-&pkgconfig-version;</title>
+<title><application>pkgconfig</application>-&pkgconfig-version;</title>
 
 <sect2>
@@ -29,9 +29,13 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&pkgconfig-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&pkgconfig-download-ftp;"/></para></listitem>
+<listitem><para>Download (HTTP): 
+<ulink url="&pkgconfig-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&pkgconfig-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &pkgconfig-size;</para></listitem>
-<listitem><para>Estimated Disk space required: &pkgconfig-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &pkgconfig-time;</para></listitem></itemizedlist>
+<listitem><para>Estimated disk space required: 
+&pkgconfig-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&pkgconfig-time;</para></listitem></itemizedlist>
 </sect3>
 
@@ -54,5 +58,5 @@
 
 <para>The default setting for <envar>PKG_CONFIG_PATH</envar> is
-<filename>/usr/lib/pkgconfig</filename> because of the prefix we use to
+<filename>/usr/lib/pkgconfig</filename> because of the prefix used to 
 install pkgconfig.  You may add to <envar>PKG_CONFIG_PATH</envar> by exporting
 additional paths on your system where <application>pkgconfig</application> 
Index: general/sysutils/which.xml
===================================================================
--- general/sysutils/which.xml	(revision 0882c902c22f12d61fdd425caceef6bb16ec4b33)
+++ general/sysutils/which.xml	(revision 1586494b11a736d54b3116961a7caed817b4ceb6)
@@ -18,11 +18,11 @@
 </sect1info>
 <?dbhtml filename="which.html"?>
-<title>which-&which-version; and alternatives</title>
+<title><application>which</application>-&which-version; and alternatives</title>
 
-<para>The presence or absence of the which program in the main <acronym>LFS
-</acronym> book is probably one of the most contentious issues we have on the 
-mailing lists.  It has resulted in at least one flame war in the past.
-To hopefully put an end to this once and for all, we here present two of
-the options for equipping your system with "which". The question of which "which"
+<para>The presence or absence of the which program in the main 
+<acronym>LFS</acronym> book is probably one of the most contentious issues on 
+the mailing lists.  It has resulted in at least one flame war in the past. 
+To hopefully put an end to this once and for all, presented here are two 
+options for equipping your system with "which". The question of which "which" 
 is for you to decide.</para>
 
@@ -32,5 +32,5 @@
 <sect2>
 <title>Introduction to <application>which</application></title>
-                                                                               
+
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
@@ -40,39 +40,38 @@
 url="&which-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &which-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &which-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
 &which-time;</para></listitem></itemizedlist>
 </sect3>
-                                                                               
-                                                                               
+
 </sect2>
 
 <sect2>
 <title>Installation of <application>which</application></title>
-                                                                               
+
 <para>Install <application>which</application> by running the following
 commands:</para>
-                                                                               
+
 <screen><userinput><command>./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
-                                                                               
+
 </sect2>
-
 
 <sect2>
 <title>Contents</title>
-                                                                               
-<para>The <application>which</application> package contains <command>which</command>.</para>
-                                                                               
+
+<para>The <application>which</application> package contains 
+<command>which</command>.</para>
+
 </sect2>
-                                                                               
+
 <sect2><title>Description</title>
-                                                                               
+
 <sect3><title>which</title>
 <para><command>which</command> shows the full path of (shell) commands.</para>
 </sect3>
-                                                                               
+
 </sect2>
 