Index: general/graphlib/sassc.xml
===================================================================
--- general/graphlib/sassc.xml	(revision 8e99a05ed8d19c0c62139045230161e56b99410d)
+++ general/graphlib/sassc.xml	(revision 2325667ba360e3e2ac29e95f93b81549447e24c6)
@@ -8,7 +8,7 @@
            "https://github.com/sass/sassc/archive/&sassc-version;/sassc-&sassc-version;.tar.gz">
   <!ENTITY sassc-download-ftp  " ">
-  <!ENTITY sassc-md5sum        "f5c6aeb4e98c96d093f20295fc490f2c">
+  <!ENTITY sassc-md5sum        "dd675920c7151e50e2d2ac14f0fb222a">
   <!ENTITY sassc-size          "28 KB">
-  <!ENTITY sassc-buildsize     "4.3 MB">
+  <!ENTITY sassc-buildsize     "4.4 MB">
   <!ENTITY sassc-time          "0.1 SBU">
 
@@ -16,8 +16,8 @@
            "https://github.com/sass/libsass/archive/&libsass-version;/libsass-&libsass-version;.tar.gz">
   <!ENTITY libsass-download-ftp  " ">
-  <!ENTITY libsass-md5sum        "3685f6f58282e06d82f3171063797a90">
-  <!ENTITY libsass-size          "320 KB">
-  <!ENTITY libsass-buildsize     "168 MB">
-  <!ENTITY libsass-time          "1.1 SBU">
+  <!ENTITY libsass-md5sum        "8b0aee63fd535cf6f40b254a6f453d24">
+  <!ENTITY libsass-size          "328 KB">
+  <!ENTITY libsass-buildsize     "212 MB">
+  <!ENTITY libsass-time          "1.4 SBU">
 ]>
 
@@ -131,5 +131,5 @@
 
     <para>
-      This package does not come with at test suite.
+      This package does not come with a test suite.
     </para>
 
@@ -152,5 +152,5 @@
 
     <para>
-      This package does not come with at test suite.
+      This package does not come with a test suite.
     </para>
 
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 8e99a05ed8d19c0c62139045230161e56b99410d)
+++ gnome.ent	(revision 2325667ba360e3e2ac29e95f93b81549447e24c6)
@@ -62,9 +62,9 @@
 <!ENTITY gnome-control-center-version      "3.32.2">
 <!ENTITY mutter-version                    "3.32.2">
-<!ENTITY gnome-shell-version               "3.32.1">
+<!ENTITY gnome-shell-version               "3.32.2">
 <!ENTITY gnome-shell-extensions-version    "3.32.1">
 <!ENTITY gnome-session-version             "3.32.0">
 <!ENTITY gdm-version                       "3.32.0">
-<!ENTITY gnome-user-docs-version           "3.32.1">
+<!ENTITY gnome-user-docs-version           "3.32.2">
 <!-- Icons moved to packages.ent, since they're now in the Icons chapter.-->
 <!ENTITY yelp-version                      "3.32.2">
Index: gnome/platform/gnome-shell-extensions.xml
===================================================================
--- gnome/platform/gnome-shell-extensions.xml	(revision 8e99a05ed8d19c0c62139045230161e56b99410d)
+++ gnome/platform/gnome-shell-extensions.xml	(revision 2325667ba360e3e2ac29e95f93b81549447e24c6)
@@ -102,6 +102,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr .. &amp;&amp;
-ninja</userinput></screen>
+meson --prefix=/usr .. </userinput></screen>
 
     <para>
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision 8e99a05ed8d19c0c62139045230161e56b99410d)
+++ gnome/platform/gnome-shell.xml	(revision 2325667ba360e3e2ac29e95f93b81549447e24c6)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-shell-download-ftp
            "&gnome-download-ftp;/gnome-shell/&gnome-minor-32;/gnome-shell-&gnome-shell-version;.tar.xz">
-  <!ENTITY gnome-shell-md5sum        "059529c91a3d84e6542f662be47a657f">
+  <!ENTITY gnome-shell-md5sum        "632b67075ebdc183f94461fa05a8505b">
   <!ENTITY gnome-shell-size          "1.4 MB">
   <!ENTITY gnome-shell-buildsize     "63 MB">
@@ -142,4 +142,10 @@
 <screen role="root"><userinput>ninja install</userinput></screen>
 
+    <para revision="sysv">
+      Finally, remove some systemd units that are unnecessary on SysV.
+    </para>
+
+<screen role="root" revision="sysv"><userinput>rm -v /usr/lib/systemd/user/gnome-shell*</userinput></screen>
+
   </sect2>
 
@@ -158,5 +164,4 @@
         </seg>
         <seg>
-          <!-- libgnome-shell-browser-plugin.so (Browser Plugin) -->
           None
         </seg>
Index: gnome/platform/gnome-user-docs.xml
===================================================================
--- gnome/platform/gnome-user-docs.xml	(revision 8e99a05ed8d19c0c62139045230161e56b99410d)
+++ gnome/platform/gnome-user-docs.xml	(revision 2325667ba360e3e2ac29e95f93b81549447e24c6)
@@ -9,8 +9,8 @@
   <!ENTITY gnome-user-docs-download-ftp
            "&gnome-download-ftp;/gnome-user-docs/&gnome-minor-32;/gnome-user-docs-&gnome-user-docs-version;.tar.xz">
-  <!ENTITY gnome-user-docs-md5sum        "3eb879dd9c4255bf4e81848cbde0babd">
+  <!ENTITY gnome-user-docs-md5sum        "2cced9905093b31620c2f810084f7ee3">
   <!ENTITY gnome-user-docs-size          "15 MB">
-  <!ENTITY gnome-user-docs-buildsize     "213 MB">
-  <!ENTITY gnome-user-docs-time          "2.2 SBU">
+  <!ENTITY gnome-user-docs-buildsize     "214 MB">
+  <!ENTITY gnome-user-docs-time          "2.1 SBU">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8e99a05ed8d19c0c62139045230161e56b99410d)
+++ introduction/welcome/changelog.xml	(revision 2325667ba360e3e2ac29e95f93b81549447e24c6)
@@ -45,4 +45,20 @@
       <para>July 2nd, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to gnome-user-docs-3.32.2. Fixes
+          <ulink url="&blfs-ticket-root;12027">#12027</ulink>.</para>
+        </listitem>
+        <listitem revision="sysv">
+          <para>[renodr] - Remove useless systemd units from SysV systems in
+          gnome-shell.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-shell-3.32.2. Fixes
+          <ulink url="&blfs-ticket-root;12078">#12078</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to sassc-3.6.1. Fixes
+          <ulink url="&blfs-ticket-root;12138">#12138</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to mutter-3.32.2. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 8e99a05ed8d19c0c62139045230161e56b99410d)
+++ packages.ent	(revision 2325667ba360e3e2ac29e95f93b81549447e24c6)
@@ -228,6 +228,6 @@
 <!ENTITY potrace-version              "1.15">
 <!ENTITY qpdf-version                 "8.4.2">
-<!ENTITY libsass-version              "3.5.5">
-<!ENTITY sassc-version                "3.5.0">
+<!ENTITY libsass-version              "3.6.1">
+<!ENTITY sassc-version                "3.6.1">
 
 <!-- Chapter 11 -->