Index: multimedia/audioutils/audacious.xml
===================================================================
--- multimedia/audioutils/audacious.xml	(revision eecf6f45b4feff26bf74873bfaad2b95e499cbcf)
+++ multimedia/audioutils/audacious.xml	(revision 2510117c6e96d59b9372dd61ed36095e81085baf)
@@ -8,14 +8,14 @@
     "http://distfiles.audacious-media-player.org/audacious-&audacious-version;.tar.bz2">
   <!ENTITY audacious-download-ftp         " ">
-  <!ENTITY audacious-md5sum               "21a72e085d1b26341eab20e1dd7257d8">
-  <!ENTITY audacious-size                 "464 KB">
-  <!ENTITY audacious-buildsize            "11 MB">
-  <!ENTITY audacious-time                 "0.2 SBU">
+  <!ENTITY audacious-md5sum               "644ef7fa37319d261b933c86b5ab3a95">
+  <!ENTITY audacious-size                 "470 KB">
+  <!ENTITY audacious-buildsize            "13 MB">
+  <!ENTITY audacious-time                 "0.3 SBU">
   <!ENTITY audacious-plugins-download
     "http://distfiles.audacious-media-player.org/audacious-plugins-&audacious-plugins-version;.tar.bz2">
-  <!ENTITY audacious-plugins-md5sum       "729eba666e2888f7fce73224bc30bd82">
-  <!ENTITY audacious-plugins-size         "1.6 MB">
-  <!ENTITY audacious-plugins-buildsize    "39 MB">
-  <!ENTITY audacious-plugins-time         "0.7 SBU">
+  <!ENTITY audacious-plugins-md5sum       "d77af4d5bff383cc7ab384da21f527f6">
+  <!ENTITY audacious-plugins-size         "1.7 MB">
+  <!ENTITY audacious-plugins-buildsize    "45 MB">
+  <!ENTITY audacious-plugins-time         "0.8 SBU">
 
 ]>
@@ -40,5 +40,5 @@
     <para>
       <application>Audacious</application> is a <application>Gtk+</application>
-      audio player.
+      based audio player.
     </para>
 
@@ -81,5 +81,5 @@
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
-    <title>Required</title>
+    <title>Required Plugins</title>
       <listitem>
         <para>
@@ -105,4 +105,14 @@
         <para>
           Estimated Plugins build time: &audacious-plugins-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+    <title>Required Patch (if you have libcdio >=v0.90 installed)</title>
+      <listitem>
+        <para>
+          <ulink url="&patch-root;/audacious-plugins-&audacious-plugins-version;-libcdio_v0.90_fixes-1.patch"/>
         </para>
       </listitem>
@@ -113,7 +123,6 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gtk2"/> or
-      <xref linkend="gtk3"/>
-      (if both are installed configure defaults to using Gtk+ 3).
+      <xref linkend="gtk3"/> and
+      <xref linkend="libxml2"/>
     </para>
 
@@ -121,5 +130,5 @@
     <para role="optional">
       <xref linkend="dbus"/> and
-      <xref linkend="alsa"/>.
+      <xref linkend="alsa"/>
     </para>
 
@@ -127,8 +136,7 @@
     <para role="optional">
       <xref linkend="pcre"/> or
-      <ulink url="http://www.geocities.jp/kosako3/oniguruma/">Oniguruma</ulink>,
-      <xref linkend='libsamplerate'/>,
-      <ulink url="http://www.atheme.org/project/libguess">libguess</ulink> and
-      <xref linkend="doxygen"/>.
+      <ulink url="http://www.geocities.jp/kosako3/oniguruma/">Oniguruma</ulink>, and
+      <!-- <xref linkend='libsamplerate'/>,-->
+      <ulink url="http://www.atheme.org/project/libguess">libguess</ulink>
     </para>
 
@@ -147,17 +155,23 @@
       <xref linkend="libnotify"/>,
       <xref linkend='pulseaudio'/>,
-      <ulink url="http://adplug.sourceforge.net/">AdPlug</ulink>,
+      <xref linkend="libsndfile"/>,
+      <xref linkend='libsamplerate'/>,
+      <!-- <ulink url="http://adplug.sourceforge.net/">AdPlug</ulink>, -->
+      <ulink url="http://www.lirc.org/">LIRC</ulink>,
       <ulink url="http://www.gnu.org/software/libcdio/">libcdio</ulink>,
+      <ulink url="http://libcddb.sourceforge.net/">libcddb</ulink>,
+      <ulink url="http://sourceforge.net/projects/modplug-xmms/">libmodplug</ulink>,
       <ulink url="http://sourceforge.net/projects/libmms">libmms</ulink>,
-      <xref linkend="libsndfile"/>,
-      <ulink url="http://jackit.sourceforge.net/">JACK</ulink>,
-      <ulink url="http://roaraudio.keep-cool.org/">libroar</ulink>,
+      <ulink url="http://jackit.sourceforge.net/">JACK</ulink>
+      (requires <xref linkend='libsamplerate'/>),
+      <!-- <ulink url="http://roaraudio.keep-cool.org/">libroar</ulink>, -->
       <ulink url="http://sourceforge.net/apps/trac/fluidsynth/">FluidSynth</ulink>,
-      <ulink url="http://libmtp.sourceforge.net/">libmtp</ulink>,
+      <!-- <ulink url="http://libmtp.sourceforge.net/">libmtp</ulink>, -->
       <ulink url="http://sourceforge.net/projects/libcue/">libcue</ulink>,
       <ulink url="http://sourceforge.net/projects/bs2b/">The Bauer
       stereophonic-to-binaural DSP (bs2b) library</ulink>,
-      <ulink url="http://sourceforge.net/projects/libbinio/">libbinio</ulink>, and
-      <ulink url="http://www.wavpack.com/">WavPack</ulink>.
+      <ulink url="http://sourceforge.net/projects/libbinio/">libbinio</ulink>
+      (to build the AdPlug plugin), and
+      <ulink url="http://www.wavpack.com/">WavPack</ulink>
     </para>
 
@@ -175,8 +189,13 @@
     </para>
 
-<screen><userinput>TPUT=/bin/true ./configure --prefix=/usr LIBS=-lgmodule-2.0 &amp;&amp;
+<screen><userinput>TPUT=/bin/true ./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
     <para>
+      If you have <xref linkend="doxygen"/> installed and wish to build the
+      API documentation, issue <command>doxygen</command>.
+    </para>
+
+    <para>
       This package does not come with a test suite.
     </para>
@@ -187,4 +206,13 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
+
+    <para>
+      If you built the API documentation, install it as the
+      <systemitem class="username">root</systemitem> user by issuing:
+    </para>
+
+<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/audacious-&audacious-version;/api &amp;&amp;
+install -v -m644    doc/html/* \
+                    /usr/share/doc/audacious-&audacious-version;/api</userinput></screen>
   </sect2>
 
@@ -205,5 +233,6 @@
     </para>
 
-<screen><userinput>TPUT=/bin/true ./configure --prefix=/usr LIBS=-lgmodule-2.0 &amp;&amp;
+<screen><userinput>patch -Np1 -i ../audacious-plugins-&audacious-plugins-version;-libcdio_v0.90_fixes-1.patch &amp;&amp;
+TPUT=/bin/true ./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -230,10 +259,4 @@
       option stops it coloring the text.
     </para>
-
-    <para>
-      <parameter>LIBS=-lgmodule-2.0</parameter>: this parameter is needed to
-      ensure that it links correctly to
-      <filename class="libraryfile">libgmodule-2.0.so</filename>.
-    </para>
   </sect2>
 
@@ -242,6 +265,6 @@
 
     <para>
-      If you prefer the old, smaller, Winamp/XMMS interface click on View&gt;
-      Interface&gt; Winamp Classic Interface
+      If you prefer the old, smaller Winamp/XMMS interface, click on View&gt;
+      Interface&gt; Winamp Classic Interface.
     </para>
   </sect2>
@@ -258,10 +281,11 @@
         <seg>audacious and audtool</seg>
         <seg>
-          libaudacious.so,
           libaudclient.so,
-          libaudgui.so and
+          libaudcore.so,
+          libaudgui.so,
+          libaudtag and
           numerous Container, Effect, General, Input, Output, Transport and
-          Visualization plugin modules (exactly what gets installed depends on
-          the dependencies you installed first).</seg>
+          Visualization plugin modules (exactly what is installed depends on
+          the dependencies that are installed).</seg>
         <seg>
           /usr/include/audacious,
@@ -305,6 +329,6 @@
       </varlistentry>
 
-      <varlistentry id="libaudacious">
-        <term><filename class='libraryfile'>libaudacious.so</filename></term>
+      <varlistentry id="libaudclient">
+        <term><filename class='libraryfile'>libaudclient.so</filename></term>
         <listitem>
           <para>
@@ -312,6 +336,6 @@
             render its graphical interface.
           </para>
-          <indexterm zone="audacious libaudacious">
-            <primary sortas="c-libaudacious">libaudacious.so</primary>
+          <indexterm zone="audacious libaudclient">
+            <primary sortas="c-libaudclient">libaudclient.so</primary>
           </indexterm>
         </listitem>