Index: general/prog/python-dependencies.xml
===================================================================
--- general/prog/python-dependencies.xml	(revision e1b6706285581c359697b080b5e0111cfade5c6f)
+++ general/prog/python-dependencies.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
@@ -69,4 +69,9 @@
       <listitem>
         <para>
+          <xref linkend="certifi"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
           <xref linkend="chardet"/>
         </para>
@@ -235,4 +240,7 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="python-dependencies/certifi.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="python-dependencies/chardet.xml"/>
 
Index: general/prog/python-dependencies/certifi.xml
===================================================================
--- general/prog/python-dependencies/certifi.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
+++ general/prog/python-dependencies/certifi.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
@@ -0,0 +1,109 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE sect2 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../../general.ent">
+  %general-entities;
+
+  <!ENTITY certifi-download-http "https://files.pythonhosted.org/packages/source/c/certifi/certifi-&certifi-version;.tar.gz">
+  <!ENTITY certifi-download-ftp  " ">
+  <!ENTITY certifi-md5sum        "&certifi-md5sum;">
+  <!ENTITY certifi-size          "164 KB">
+  <!ENTITY certifi-buildsize     "844 KB">
+  <!ENTITY certifi-time          "less than 0.1 SBU">
+]>
+
+  <sect2 id="certifi" xreflabel="certifi-&certifi-version;">
+
+    <title>certifi-&certifi-version;</title>
+
+    <indexterm zone="certifi">
+      <primary sortas="a-certifi">certifi</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Certifi Module</title>
+
+      <para>
+        The <application>certifi</application> module provides Mozilla’s 
+        carefully curated collection of Root Certificates for validating 
+        the trustworthiness of SSL certificates while verifying the 
+        identity of TLS hosts. 
+      </para>
+
+      &lfs121_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&certifi-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&certifi-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &certifi-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &certifi-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &certifi-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &certifi-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of certifi</title>
+
+    <para> Build the module: </para>
+
+&build-wheel;
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>&install-wheel; certifi</userinput></screen>
+
+    </sect3>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../../xincludes/pip3-cmd-explain.xml"/>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+          <seg>None</seg>
+          <seg>
+            /usr/lib/python&python3-majorver;/site-packages/certifi and
+            /usr/lib/python&python3-majorver;/site-packages/certifi-&certifi-version;.dist-info
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>
Index: general/prog/python-dependencies/sphinxcontrib-htmlhelp.xml
===================================================================
--- general/prog/python-dependencies/sphinxcontrib-htmlhelp.xml	(revision e1b6706285581c359697b080b5e0111cfade5c6f)
+++ general/prog/python-dependencies/sphinxcontrib-htmlhelp.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
@@ -94,5 +94,5 @@
     </para>
 
-<screen remap="test"><userinput>python3 /usr/bin/pytest</userinput></screen>
+<screen remap="test"><userinput>pytest</userinput></screen>
 
     </sect3>
Index: general/prog/python-modules.xml
===================================================================
--- general/prog/python-modules.xml	(revision e1b6706285581c359697b080b5e0111cfade5c6f)
+++ general/prog/python-modules.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
@@ -142,4 +142,9 @@
       <listitem>
         <para>
+          <xref linkend="psutil"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
           <xref linkend="py3c"/>
         </para>
@@ -160,9 +165,9 @@
         </para>
       </listitem>
-<!--      <listitem>
-        <para>
-          <xref linkend="pycryptodome"/>
-        </para>
-      </listitem> -->
+      <listitem>
+        <para>
+          <xref linkend="pygdbmi"/>
+        </para>
+      </listitem>
       <listitem>
         <para>
@@ -218,4 +223,9 @@
         <para>
           <xref linkend="requests"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="sentry-sdk"/>
         </para>
       </listitem>
@@ -293,4 +303,7 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="python-modules/psutil.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="python-modules/py3c.xml"/>
 
@@ -304,6 +317,6 @@
     href="python-modules/pycairo.xml"/>
 
-<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-        href="python-modules/pycryptodome.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="python-modules/pygdbmi.xml"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -344,4 +357,7 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="python-modules/sentry-sdk.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="python-modules/six.xml"/>
 
Index: general/prog/python-modules/psutil.xml
===================================================================
--- general/prog/python-modules/psutil.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
+++ general/prog/python-modules/psutil.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
@@ -0,0 +1,121 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+   <!ENTITY % general-entities SYSTEM "../../../general.ent">
+  %general-entities;
+
+  <!ENTITY psutil-download-http "&pymodules-dl;/p/psutil/psutil-&psutil-version;.tar.gz">
+  <!ENTITY psutil-download-ftp  " ">
+  <!ENTITY psutil-md5sum        "&psutil-md5sum;">
+  <!ENTITY psutil-size          "492 KB">
+  <!ENTITY psutil-buildsize     "4.3 MB">
+  <!ENTITY psutil-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin psutil -->
+  <sect2 id="psutil" xreflabel="psutil-&psutil-version;">
+
+    <title>psutil-&psutil-version;</title>
+
+    <indexterm zone="psutil">
+      <primary sortas="a-psutil">psutil</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to psutil Module</title>
+
+      <para>
+        psutil (process and system utilities) is a cross-platform library 
+        for retrieving information on running processes and system utilization 
+        (CPU, memory, disks, network, sensors) in Python. It is useful mainly 
+        for system monitoring, profiling and limiting process resources and 
+        management of running processes. It implements many functionalities offered 
+        by classic UNIX command line tools such as ps, top, iotop, lsof, netstat, 
+        ifconfig, free and others.
+      </para>
+
+      &lfs121_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&psutil-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&psutil-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &psutil-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &psutil-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &psutil-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &psutil-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of psutil</title>
+
+      <para>
+        Build the module:
+      </para>
+
+&build-wheel;
+
+      <para>
+        This package does not come with a test suite.
+      </para>
+
+      <para>
+        Now, as the &root; user:
+      </para>
+
+<screen role="root"><userinput>&install-wheel; psutil</userinput></screen>
+
+    </sect3>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../../xincludes/pip3-cmd-explain.xml"/>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+          </seg>
+          <seg>
+            None
+          </seg>
+          <seg>
+            /usr/lib/python&python3-majorver;/site-packages/psutil-&psutil-version;.dist-info
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+    </sect3>
+
+  </sect2>
Index: general/prog/python-modules/pygdbmi.xml
===================================================================
--- general/prog/python-modules/pygdbmi.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
+++ general/prog/python-modules/pygdbmi.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
@@ -0,0 +1,119 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+   <!ENTITY % general-entities SYSTEM "../../../general.ent">
+  %general-entities;
+
+  <!ENTITY pygdbmi-download-http "&pymodules-dl;/p/pygdbmi/pygdbmi-&pygdbmi-version;.tar.gz">
+  <!ENTITY pygdbmi-download-ftp  " ">
+  <!ENTITY pygdbmi-md5sum        "&pygdbmi-md5sum;">
+  <!ENTITY pygdbmi-size          "28 KB">
+  <!ENTITY pygdbmi-buildsize     "280 MB">
+  <!ENTITY pygdbmi-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin pygdbmi -->
+  <sect2 id="pygdbmi" xreflabel="pygdbmi-&pygdbmi-version;">
+
+    <title>pygdbmi-&pygdbmi-version;</title>
+
+    <indexterm zone="pygdbmi">
+      <primary sortas="a-pygdbmi">pygdbmi</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to pygdbmi Module</title>
+
+      <para>
+        GDB/MI is a line based machine oriented text interface to GDB and is
+        activated by specifying using the --interpreter command line option
+        (see Mode Options). It is specifically intended to support the
+        development of systems which use the debugger as just one small
+        component of a larger system.
+      </para>
+
+      &lfs121_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&pygdbmi-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&pygdbmi-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &pygdbmi-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &pygdbmi-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &pygdbmi-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &pygdbmi-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of pygdbmi</title>
+
+      <para>
+        Build the module:
+      </para>
+
+&build-wheel;
+
+      <para>
+        This package does not come with a test suite.
+      </para>
+
+      <para>
+        Now, as the &root; user:
+      </para>
+
+<screen role="root"><userinput>&install-wheel; pygdbmi</userinput></screen>
+
+    </sect3>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../../xincludes/pip3-cmd-explain.xml"/>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+          </seg>
+          <seg>
+            None
+          </seg>
+          <seg>
+            /usr/lib/python&python3-majorver;/site-packages/pygdbmi-&pygdbmi-version;.dist-info
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+    </sect3>
+
+  </sect2>
Index: general/prog/python-modules/sentry-sdk.xml
===================================================================
--- general/prog/python-modules/sentry-sdk.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
+++ general/prog/python-modules/sentry-sdk.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
@@ -0,0 +1,116 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE sect2 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../../general.ent">
+  %general-entities;
+
+  <!ENTITY sentry-sdk-download-http "https://files.pythonhosted.org/packages/source/s/sentry-sdk/sentry-sdk-&sentry-sdk-version;.tar.gz">
+  <!ENTITY sentry-sdk-download-ftp  " ">
+  <!ENTITY sentry-sdk-md5sum        "&sentry-sdk-md5sum;">
+  <!ENTITY sentry-sdk-size          "240 KB">
+  <!ENTITY sentry-sdk-buildsize     "2.8 KB">
+  <!ENTITY sentry-sdk-time          "less than 0.1 SBU">
+]>
+
+  <sect2 id="sentry-sdk" xreflabel="sentry-sdk-&sentry-sdk-version;">
+
+    <title>sentry-sdk-&sentry-sdk-version;</title>
+
+    <indexterm zone="sentry-sdk">
+      <primary sortas="a-sentry-sdk">sentry-sdk</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to sentry-sdk Module</title>
+
+      <para>
+        The <application>sentry-sdk</application> module is the official Python 
+        SDK for Sentry.io.  <!-- I know.  This doesn't say much, but I couldn't
+        find a better short description. - bdubbs -->
+      </para>
+
+      &lfs121_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&sentry-sdk-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&sentry-sdk-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &sentry-sdk-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &sentry-sdk-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &sentry-sdk-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &sentry-sdk-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">sentry-sdk Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="certifi"/> and
+        <xref linkend="urllib3"/>
+      </para>
+
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of sentry-sdk</title>
+
+      <para> Build the module: </para>
+
+&build-wheel;
+
+      <para>
+        Now, as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>&install-wheel; sentry-sdk</userinput></screen>
+
+    </sect3>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../../xincludes/pip3-cmd-explain.xml"/>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>None </seg>
+          <seg>None</seg>
+          <seg>
+            /usr/lib/python&python3-majorver;/site-packages/sentry_sdk-&sentry-sdk-version;.dist-info and
+            /usr/lib/python&python3-majorver;/site-packages/sentry_sdk
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e1b6706285581c359697b080b5e0111cfade5c6f)
+++ introduction/welcome/changelog.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
@@ -44,5 +44,10 @@
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Added perl modules html5lib and webencodings 
+          <para>[bdubbs] - Added Python modules certifi, psutil, pygdbmi, 
+          and sentry-sdk in support of plasma. Fixes
+          <ulink url="&blfs-ticket-root;19536">#19536</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Added Python modules html5lib and webencodings 
           in support of qtwebengine. Fixes
           <ulink url="&blfs-ticket-root;19535">#19535</ulink>.</para>
Index: kde/plasma5/plasma-all.xml
===================================================================
--- kde/plasma5/plasma-all.xml	(revision e1b6706285581c359697b080b5e0111cfade5c6f)
+++ kde/plasma5/plasma-all.xml	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
@@ -103,6 +103,12 @@
     <xref linkend="lm_sensors"/>,
     <xref linkend="oxygen-icons"/>, 
-    <xref linkend="pciutils"/>, and
-    <xref linkend="power-profiles-daemon"/> (for laptops)
+    <xref linkend="pciutils"/>, 
+    <xref linkend="power-profiles-daemon"/> (for laptops), and 
+    the following Python modules: 
+      <xref linkend="psutil"/>,
+      <xref linkend="pygdbmi"/>,
+      <xref linkend="sentry-sdk"/>, 
+      <xref linkend="urllib3"/> (if they are not installed, they will be
+      downloaded and installed by the drkonqi build procedure)
   </para>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision e1b6706285581c359697b080b5e0111cfade5c6f)
+++ packages.ent	(revision 2563594f9d69972cb440cc21ef09166b73c2468d)
@@ -563,4 +563,6 @@
 <!ENTITY pygobject2-version           "2.28.7">
 <!ENTITY pygobject3-version           "3.48.1">
+<!ENTITY pygdbmi-version              "0.11.0.0">
+<!ENTITY pygdbmi-md5sum               "34b1812e77469c6206002b3929798cab">
 <!ENTITY pygtk-version                "2.24.0">
 <!ENTITY pyxdg-version                "0.28">
@@ -580,4 +582,6 @@
 <!ENTITY numpy-version                "1.26.4">
 <!ENTITY numpy-md5sum                 "19550cbe7bedd96a928da9d4ad69509d">
+<!ENTITY psutil-version               "5.9.8">
+<!ENTITY psutil-md5sum                "7bb9d4378bd451765b705946a3541393">
 <!ENTITY pyparsing-version            "3.1.2">
 <!ENTITY pyparsing-md5sum             "2bfafdb2d02d19ca4a3dfd02a9dbdfa7">
@@ -591,4 +595,6 @@
 <!ENTITY requests-md5sum              "941e175c276cd7d39d098092c56679a4">
 <!ENTITY scour-version                "0.38.2">
+<!ENTITY sentry-sdk-version           "1.43.0">
+<!ENTITY sentry-sdk-md5sum            "36529a36696ee9876794463b037b288f">
 <!ENTITY six-version                  "1.16.0">
 <!ENTITY six-md5sum                   "a7c927740e4964dd29b72cebfc1429bb">
@@ -605,4 +611,6 @@
 <!ENTITY babel-version                  "2.11.0">
 <!ENTITY babel-md5sum                   "9ee7784fd452d456206ecd3a12694010">
+<!ENTITY certifi-version                "2024.2.2">
+<!ENTITY certifi-md5sum                 "13d140d3605e55270a1241a705a05ab4">
 <!ENTITY chardet-version                "5.1.0">
 <!ENTITY chardet-md5sum                 "394bd03d7a258d2771040bfbd5a7bf66">